Introduction to R-Studio 4.2

R-Studio is a family of powerful and cost-effective undelete and data recovery software. Empowered by the new unique data recovery technologies, it is the most comprehensive data recovery solution for recovery files from FAT12/16/32, NTFS, NTFS5 (created or updated by Windows 2000/XP/2003), Ext2FS (created by Linux or other OS), and UFS1 and UFS2 (used by the FreeBSD, OpenBSD, and NetBSD operating systems). It functions on local and network disks, even if such partitions are formatted, damaged or deleted. Flexible parameter settings give you absolute control over data recovery.

R-Studio Features

Contact Information and Technical Support

Data Recovery Using R-Studio

Basic File Recovery

Advanced Data Recovery

Data Recovery over Network

Technical Information and Troubleshooting

R-Studio Emergency

R-Studio Agent Emergency


R-Studio Features

R-Studio is a family of file restoring utilities. It recovers files both on local disks and on disks on remote computers over network, even if their partition structures are damaged. A unique IntelligentScan technology and flexible parameter settings give you real control over the fastest data recovery ever seen.

R-Studio features:

· Standard "Windows Explorer" - style interface.
· Host OS: Windows 9x, ME, NT, 2000, XP.
· Remotely recovers data over network. Data can be recovered on network computers running Win9x, ME, NT, 2000, XP, or Linux and some other UNIX OS.
· Supported file systems: FAT12, FAT16, FAT32, NTFS, NTFS5 (created and updated by Win2000 or XP), Ext2FS/3FS (created by Linux or other OS), HFS, HFS+, HFSX, and UFS1, UFS2, UFS BigEndian (used by the FreeBSD, OpenBSD, and NetBSD operating systems).

Please note, that when a file is being deleted on the HFS, HFS+, HFSX file systems, the computer completely removes all system information on it, and there is no way to recover the deleted file except by using the Extra Search for Known File Types option. Nevertheless, R-Studio is able to read existing files from HFS, HFS+, and HFSX disks.

· Support for known file types. R-Studio searches for files with known typical features of their structures allowing the user to search for files on devices with unknown files systems, including an HD, CD, DVD, floppy disk, Compact Flash Card, USB drive, ZIP drive, Memory Sticks, and other removable media.
· Scan process visualization. While scanning an object, R-Studio graphically shows items that have been found, including files of known types, FAT and NTFS MFT records, boot records, etc.
· Dynamic disk support.
· Software RAID, volume set, and stripe set support. Support for various unusual RAID configurations. Parameters like block size and order, offsets, and even the number of stripe blocks can be explicitly specified.
· Hardware RAID, volume set, and stripe set support.
· Creates image files for an entire hard drive, logical disk, or its part. Such image files can be processed like regular disks. Images can be either simple exact object copies (Plain images) compatible with the previous versions of R-Studio, or compressed images that can be compressed, split into several parts, and password-protected. Such images are fully compatible with the images created by R-Drive Image, but incompatible with the previous versions of R-Studio.
· Recovers files on damaged or deleted partitions.
· Recovers compressed files (NTFS, NTFS5).
· Recovers encrypted files (NTFS5).
· Recovers alternative data streams (NTFS, NTFS5).
· Recognizes localized names.
· Recovered files can be saved on any (including network) disks visible by the host operating system.
· A hexadecimal disk and file editor supporting NTFS file non-resident attribute editing.
· Patterns (or templates) in the hexadecimal editor allowing for parsing the data according to specific data structure. Such patterns may be custom-created.
· File preview. Most of the file types can be previewed to estimate recovery chances.
· Enhanced remote host scanning procedure. In the new R-Studio network versions, data are analyzed on the remote host rather than on the home host, thereby the speed of recovery procedure greatly increases.
· R-Studio Emergency*. The R-Studio Emergency version starts from a floppy or compact disk when it is necessary to recover data on a computer, on which Windows cannot start up because its system files are corrupted or deleted.

*The R-Studio Emergency is a part of the R-Studio software package. When you buy an R-Studio single license you may run the R-Studio Emergency or/and install the R-Studio Windows version on one PC only and you may not transfer the licensed software to another PC.

R-Studio recovers files:

· That have been removed without Recycle Bin, or when Recycle Bin has been emptied;
· Removed by virus attack or power failure;
· After the partition with the files was reformatted, even for different file system;
· When the partition structure on a hard drive was changed or damaged. In this case, R-Studio can scan the drive trying to find previously existed partitions and recover files from found partitions.
· From disks with bad sectors. In this case, R-Studio can first copy the entire disk or its part into an image file and then process such image file.

R-Studio can create image files for an entire hard drive, logical disk, or its part. Such image files can be processed like regular disks. Images are very useful if there is a risk of total data loss due to hardware malfunction. If bad blocks are constantly appearing on a hard drive, the only way to save the data is to immediately create an image of that drive. All data search, scan and recovery can be done from this image.

To learn more about the IntelligentScan technology, go to the IntelligentScan topic .


Contact Information and Technical Support

To obtain the latest version of R-Studio, go to:

Product Site: http://www.r-tt.com

Sales Department: sales@r-tt.com

R-Studio Technical Support Team is available 24 hours a day, seven days a week, and has an average response time less than 4 hours.

Tech. Support: support@r-tt.com

Send your support request to: http://www.r-tt.com/SupportRequest.shtml


R-Studio Main Panel

When R-Studio starts, its main panel appears on the Windows desktop. Click the panel regions to learn their functions.

Connect to RemoteRefresh (Control+R)ScanOpen ImageCreate ImageCreate Region (F4)Create virtual volume sets of RAIDsDelete (F8)Stop (Esc)Open Drive Files (F5)

Panel view options

You may set which panels and bars to enable/disable.

To enable/disable:
Toolbar | Select/clear Toolbar on the View menu
Status bar | Select/clear Status bar on the View menu
Drive pane | Select/clear Device View on the View menu
Properties pane | Select/clear Properties View on the View menu
The Log panel | Select/clear Event Log on the View menu
If you have several tabs in the right pane, you may easily switch to any of the tab by selecting the View menu
Properties Tab | to view the Properties tab
Scan Information Tab | to view the Scan Information Tab tab
Parents Tab | to view the Parents tab

Depending on the task R-Studio performs, its panel may vary. Those panels are described in appropriate topics. The Properties tab names and values are described in detail on the Properties tab topic .

You may also select to show/disable various warnings and confirmation. Select on the Help menu

Show All Hints | to show all warning messages for which the Never show again check box has been selected.
Disable All Hints | to never show any warning messages in which the Never show again check box exists.

R-Studio has two operation modes:

File search on a partition (including recently found during disk scan).

In this mode, R-Studio analyzes MFTs on NTFS partitions, FATs on FAT partitions, and SuperBlocks on Ext2FS partitions. Then it displays all files which records have been found in the analyzed tables. Then recently deleted files, which records still remain, can be recovered. If files have not been found, that means that their records have been deleted. In this case, the disk must be scanned.

File search supports file masks and regular expressions. Multiple files in different folders can be found and recovered in one recover session.

R-Studio supports mass file recovery. There is no limit in the number of files that may be recovered during one session.

File content may be previewed before recovery.

File or disk binary data can be viewed and edited in the text/hexadecimal editor. Also can be viewed and changed all attributes for NTFS files.

Disk scan, searching for partitions.

In this mode, R-Studio scans the entire disk or its part. Using a number of statistic and deterministic criteria known as the IntelligentScan technology, it determines existing or existed partitions on the disk, and their file systems. It is also possible to add new partition, by setting manually all required parameters.

A disk can be scanned through several successive scans, each with its own parameters. R-Studio accumulates the information from successive scans and keeps track of changes in the information obtained from different scans. The information obtained from the disc scan can be stored in a file. It may be loaded and processed later at any convenient time.


Data Recovery Using R-Studio

Depending on the situation, data recovery may vary:

1. Recovery of deleted files that have resided on an existing logical disk

This can be done using Basic File Recovery.

2. Recovery of files that have resided on a data disk with a damaged file system, or on a previously deleted or re-formatted partition

If the file system on such logical disk is damaged, the operating system does not see that logical disk as a partition without a valid file system. Such partition should be previously scanned. Also, it should be scanned if you want to recover data on a previously deleted or re-formatted partition.

When the partition is scanned, a number of recognized partitions will appear. R-Studio shows them in different colors depending on which elements of the partition have been found.

Both boot records and file entries are found for this partition

Only file entries are found for this partition

Only boot records are found for this partition

Although such recognized partitions are virtual objects, files can be searched for and recovered from recognized partitions as from real logical disks using Basic File Recovery.

To successfully recover files from a recognized partition, it is necessary to find a right one which corresponds to the real logical disk on which the files resided. No strict rules can be applied to that, but the following considerations should be taken into account:

· If you are going to recover files from a disk with a damaged file system, most likely the right recognized partition will be a green one.
· If you are going to recover files from a previously deleted or re-formatted partition, most likely the right recognized partition will be a yellow one.

Also always check the recognized partition's file system, start point, and size. They should be the same for the recognized partition and real logical disk/partition. When in doubt, try to preview a couple of files from the recognized partition. If the files are seen correctly, this is the right partition.

3. Data recovery from a damaged system disk. The computer does not start up.
· If this computer is on a network, create an R-Studio Agent Emergency startup disk for the computer, install R-Studio on another computer on the network, and recover data over network.
· If this computer is stand-alone, create an R-Studio Emergency startup disk and use it to start up the computer and recover data. You may use external USB hard disks to store recovered files.

Introduction to R-Studio

Technical Information and Troubleshooting

R-Studio Emergency

R-Studio Agent Emergency


Basic File Recovery

NEVER TRY TO SAVE RECOVERED FILES/FOLDERS ON THE SAME LOGICAL DISK WHERE THEY RESIDE!!!

Or you may obtain unpredictable results and lose all your data.

See the Data Recovery Issues topic for details.

Basic file recovery can be made for deleted files that has resided on an existing logical disk visible by the operating system. In all other cases, Advanced Data Recovery is required.

To recover deleted files from a logical disk (recognized partition),

 Double-click a logical disk on the R-Studio's Device/Disk panel to enumerate files on the disk
Other ways to enumerate files
· Select the disk and click the Open Drive Files button,

or

· Right-click the selected disk and select Open Drive Files on the shortcut menu,

or

· Select the disk and press the F5 key.

or

· Select Open Drive Files on the Drive menu

If you try to enumerate files on a hard drive or another object without a valid file system on it, a Double-click a logical disk... message will appear. Select a logical disk on the object or scan the object.

Ü R-Studio will change its panel showing the disk's folders/files structure

R-Studio analyzes MFTs on NTFS partitions, FATs on FAT partitions, and SuperBlocks on Ext2FS partitions. Then it displays all files which records have been found in the analyzed tables. Then deleted files, which records still remain, can be recovered. If files have not been found, that means that their records have been deleted. To find such files, Advanced Data Recovery is required.

Please note that R-Studio shows only those files/folders that match a specified file mask.

R-Studio Main panel
Click the panel regions to learn their functions. Panel view options You may set which panels and bars to enable/disable. To enable/disable
The Toolbar | Select/clear Toolbar on the View menu
The Status bar | Select/clear Status bar on the View menu
The Folders panel | Select/clear Folders View on the View menu
The Files panel | Select/clear Contents View on the View menu
The Log panel | Select/clear Event Log on the View menu
The Find Results panel | Select/clear Find Results on the View menu
You may select how the data the will be graphically represented in the Files panel. To view the data as:
Large icons | Select Large Icons on the View menu
Small icons | Select Small Icons on the View menu
List | Select List on the View menu
Details | Select Details on the View menu
You may also arrange the data as required. On the View menu, select Arrange and them a required arrangement.

The Log panel will show how many files and folders are on the object, and their size. You may specify which events will be shown in the log pane by setting a log filter.

Note: Metafiles are the file system's internal files invisible to any user, or file system data, which R-Studio represents as files. These files do not contain user data directly. Unless you want to scrutinize a disk file system, do not restore them.

If the Too many files... message appears, you may temporally stop file listing and browse through found files. Then you can resume file listing. You also may skip this file topic and continue. R-Studio will keep information about the entire file structure.

‚ Select a file/folder to recover

You may select several files/folders in the same parent folder by pressing the Shift button and clicking the objects simultaneously.

Marking multiple files/folders from different parent folders:

Mark a file/folder to recover by clicking the box left to the object, or select Mark on the shortcut menu. You may mark several files/folders in different parent folders. You may mark all objects in the folder by selecting Mark All on the Tools or shortcut menu. To unmark an object, click the box left to the object once more or select Unmark on the shortcut menu. You may unmark all objects in the folder by selecting Unmark All on the Tools or shortcut menu.

The Log panel will show how many files and folders you have marked, and their total size.

R-Studio can search for a particular file. Go to the Searching for a File topic for details.

File content may be previewed before recovery. Go to the Previewing Files topic for details.

If you do not find files that you want to recover:

If you do not find files that you want to recover but are sure they have existed on the logical disk, you need to use Advanced Data Recovery to find them.

ƒ Click the Recover or Recover Marked button
Other ways to recover selected files
· Right-click the selected file/folder and select Recover or Recover Marked on the shortcut menu,

or

· Select Recover or Recover Marked on the File menu

or

· Press the F2 button.
„ Specify recover options and output folder on the Recover dialog box and click the OK button

Recover dialog box

Recover options
Condense successful restoration events: | If this check box is selected, R-Studio recovers the folder structure in which all files to recover reside starting from the common topmost folder.
Restore folder structure: | If this check box is selected, R-Studio recovers the entire path to the selected object.
Restore from root | If this check box is selected, R-Studio recovers the entire path to the selected object starting from the root folder of the disk.
Recover metafiles | If this check box is selected, R-Studio recovers disk metafiles. Metafiles are the file system's internal files invisible to any user, or file system data, which R-Studio represents as files. These files do not contain user data directly. Unless you want to scrutinize a disk file system, do not restore them.
Ignore file mask: | If this check box is selected, R-Studio recovers all content of a selected folder, ignoring specified File Mask.
Recover alternative data streams: | If this check box is selected, R-Studio recovers alternative data streams for NTFS files. Has no effect on FAT files.
Recover security: | If this check box is selected, R-Studio recovers security attributes for NTFS files. Has no effect on FAT files.
Recover extended attributes: | If this check box is selected, R-Studio recovers extended (HPFS) file attributes.
Remove hidden attributes | If this check box is selected, R-Studio will remove the Hidden and System attributes from recovered files enabling the user to see them in the Windows Explorer.

NEVER TRY TO SAVE RECOVERED FILES/FOLDERS ON THE SAME LOGICAL DISK WHERE THEY RESIDE!!!

Or you may obtain unpredictable results and lose all your data.

If a file to be recovered appears to have an invalid name, a Broken File Name dialog box will appear. You may correct the name and resume file recovery.

Broken File Name dialog box

Broken File Name properties
File name | Shows the current incorrect file name.
New name | Field for a new file name.
Edit broken symbols only | If this check box is selected, only invalid symbols may be corrected
Change all invalid symbols to | If this check box is selected, all invalid symbols will be changed to the specified symbol
Buttons
Rename | Click to resume file recovery
Rename All | Click to resume file recovery. All other files will be renamed according to the specified rule.
Skip | Click to skip this file
Skip All | Click to skip all files and stop file recovery
Ü R-Studio will recover the selected/marked files/folders to the specified folder and show the results in the Log pane

Note: R-Studio recovers files from Ext2FS partitions, but writes it to FAT or NTFS local disks. Or you may write such files to network disks. R-Studio successfully recovers files from Ext2FS partitions except its security attributes. R-Studio recovers symlinks as files containing the path to files which symlinks point to.

Searching for a File

Previewing Files

File Masks

Regular Expressions

Event Log

Mass File Recovery


Searching for a File

R-Studio can find a particular file, if it is difficult to find it manually on the Folders or Files panel.

To search for a file,

 Click the Find button
Other ways to search for the file
· Right-click a folder and select Find on the shortcut menu,

or

· Select a folder and select Find on the Tools menu
‚ Specify a file to be found and its options on the Find dialog box, and click the OK button

Note that a File Mask may be applied.

Find dialog box

Find options
You may specify how to treat specified strings
All Files | If this option is selected, R-Studio applies Advanced Options to all files.
File Extensions | If this option is selected, R-Studio treats specified strings as file extensions
File Masks | If this option is selected, R-Studio treats specified strings as file masks
Regular Expressions | If this option is selected, R-Studio treats specified strings as regular expressions
Options |
Match case | If this check box is selected, R-Studio makes a case-sensitive search
Deleted files | If this check box is selected, R-Studio makes a search among deleted files/folders.
Existing files | If this check box is selected, R-Studio makes a search among existing files/folders.
Find all | If this check box is selected, R-Studio will show all files files found in the Find Results panel. If this check box is clear, R-Studio will stop at the next found file.
Look at |
Files | If this check box is selected, R-Studio includes files into a search.
Folders | If this check box is selected, R-Studio includes folders into a search.
Direction | Specifies search direction from the current position.
Advanced Options
Size from/up to | Specifies file size limits.
File Id | Specifies File Id that R-Studio assigns to a file.
Date | Specifies file date boundaries. Files may be Modified/Created/Last Accessed.
Ü R-Studio will show the first found file

To repeat the search,

¡ Click the Find Next or Find Previous buttons
Other ways to repeat the search
· Right-click a folder and select Find Next or Find Previous on the shortcut menu

or

· Select a folder and select Find Next or Find Previous on the Tools menu

To find all files and show them on the Find Results panel,

¡ Select Find all on the on the Find dialog box,

or

select Find all on the Tools menu

Ü R-Studio will show the found files on the Find Results panel


Previewing Files

R-Studio has a built-in file previewer that allows you to preview both existing and deleted files. You may use this feature to estimate recovery or a file to be recovered.

To preview a file

 Right-click a file to preview on the Files panel and select Preview on the shortcut menu
Other ways to preview the file
· Select the file on the Files panel and click the Preview button,

or

· Select the file on the Files panel and select Preview on the File menu
Ü R-Studio will show the content of the file

If you have several files open in the previewer, you may instantly close all of them by selecting Close All Previews on the File menu.

List of supported file formats
MS Office files: Word documents and Excel spreadsheets (Microsoft Office and Excel should be installed) Video/Audio files: With proper software and codecs installed in the system Graphic files:
Format | Extension | Compression
Adobe Photoshop Document | psd |
Alias Image | pix als alias |
Amiga IFF | iff blk | Rle
Bob Ray-Tracer | bob |
CALS Raster Goup 1 | cal cals |
Canon PowerShot | crw |
Casio QV-10/100 Camera | cam |
Chinon ES-1000 digital camera | cmt |
Cloe Ray-tracer | clo |
CompuServe GIF | gif giff |
DKB Ray-tracer | dis |
DPX | dpx |
Deluxe Paint, Electronic Arts | lbm |
Digital F/X | tdim graf |
EPS Interchange Format | epi |
Electric Image | ei eidi |
Encapsulated Postscript (Preview) | eps |
Explore (TDI) & Maya | tdi iff |
Gimp Bitmap | xcf |
Gimp Brush | gbr |
Gimp Icon | ico |
Gimp Pattern | pat |
Image Magick | mif miff |
Imaging Fax | g3n |
Intergraph Format | itg cit rle |
Joint Photographic Experts Group | jpg jpeg jif jfif |
Jeff's Image Format | jif |
Kodak Cineon | cin dpx |
Kodak DC120 Digital Camera | kdc |
Kodak DC25 Camera | k25 |
Kodak Photo CD | pcd |
Konica Camera File | kqp |
LucasFilm Format | lff |
MTV Ray-tracer | mtv |
Macintosh Quickdraw/Pict | pic pict pct |
Mayura Draw | pdx |
Multiple Network Graphics | mng |
OS/2 Bitmap | bmp bga | Rle 4 & 8 bits
Open Image Library Format | oil |
PaintShopPro Browser Cache File | jbf |
PaintShopPro Frame | pfr |
PaintShopPro Image | psp |
PaintShopPro Mask | msk |
PaintShopPro Pattern | pat |
PaintShopPro Picture Tube | tub |
PaintShopPro Texture | tex |
Palm Pilot | pdb |
Pegs | pxa pxs |
Photopaint Image | apx |
Picture Gear Pocket | prc |
Pixar picture file | pic pxr picio pixar |
Pixibox | pxb |
Portable Bitmap | pbm rpbm |
Portable Document Format | pdf |
Portable Greyscale | pgm rpgm |
Portable Image | pnm rpnm |
Portable Network Graphics | png |
Portable Pixmap | ppm rppm |
Postscript | ps |
Psion Series 3 | pic |
Psion Series 5 | mbm |
Qrt Ray-tracer | qrt |
Quantel VPB | vpb |
Quicktime Picture | qtif qti |
Rayshade | pic |
Ricoh Digital Camera | j6i |
SciTex Continuous Tone | sct sc |
Seattle Film Works | sfw |
Seattle Film Works multi-image | pwp |
Sega SJ-1 DIGIO | sj1 |
Silicon Graphics RGB | rgb bw iris sgi | Rle
Softimage bitmap | pic si | Rle
Sony DSC-F1 Cyber-shot | pmp |
Sony Playstation TIM PSX | tim |
Sun Icon/Cursor | icon cursor pr |
Sun Raster Images | ras rast sun sr scr rs |
Sun TAAC file format | iff vff suniff taac |
Synthetic Universe | synu syn |
TIFF Revision 6 | tif tim tiff | Rle LZW LZW + Prediction
TrueVision Targa | tga pix bpx vda icb vst | Rle
Utah Raster image | Rle |
Vista | vst |
Vivid Ray-tracer | img |
Wavefront Raster file | rla rlb |
Webshots | wbc wbp wbz |
Winfax | fxs fxo |
Windows & Aldus Metafile | wmf |
Windows Bitmap | bmp rle rl4 rl8 sys | Rle 4 & 8 bits
Windows Clipboard | clp |
Windows Cursor | cur |
Windows DIB | dib |
Windows Enhanced Metafile | emf |
Windows Icon | ico |
Wireless Bitmap (level 0) | wbmp wbm wap |
X11 BitMap | xbm bm |
X11 PixMap | xpm pm |
XV Visual Schnauzer | p7 |
Zsoft Multi-page Paintbrush | dcx |
Zsoft Publisher's Paintbrush | pcx pcc dcx | Rle


File Masks

R-Studio shows only those files/folders that match the specified file mask. File mask affects files/folders that are processed by the Recover and Find commands.

To specify a file mask,

 Click the File Mask button
Other ways to specify the file mask
· Right-click a folder and select File Mask on the shortcut menu

or

· Select the folder and select File Mask on the Tools menu
‚ Specify the file mask on the File mask dialog box and click the OK button

Mask dialog box

File mask options
Match case | If this check box is selected, R-Studio makes a case-sensitive search.
Regular expression | If this check box is selected, R-Studio interprets characters in the Find: field as a regular expression.
Show empty folders | If this check box is selected, R-Studio will show folders with no files matching the mask.
Deleted files | If this check box is selected, R-Studio makes a search among deleted files/folders.
Existing files | If this check box is selected, R-Studio makes a search among existing files/folders.
Advanced Options
Size from/up to | Specifies file size limits.
Date | Specifies file date boundaries. Files may be Modified/Created/Last Accessed.
Ü R-Studio will show only those files that match the specified file masks


Regular Expressions

Regular expression is a notation for patterns of text, as opposed to exact strings of characters. The notation uses literal characters and metacharacters. Every character which does not have special meaning in the regular-expression syntax is a literal character and matches an occurrence of that character. For example, letters and numbers are literal characters. A metacharacter is a symbol with special meaning (an operator or delimiter) in the regular-expression syntax.

. | Wildcard: any character
* | Repeat: zero or more occurrences of previous character or class
^ | Line position: beginning of line
$ | Line position: end of line
[class] | Character class: any character in the set
[^class] | Inverse class: any character not in the set
[x-y] | Range: any characters within the specified range
\x | Escape: literal use of metacharacter x
\<xyz | Word position: beginning of the word
xyz\> | Word position: end of the word

For example, the following regular expression .* matches any string of characters, ^a matches any string beginning with character a.


Event Log

R-Studio logs and displays events in the Log panel. You may set a Log filter to display only needed information and to write it to a log file.

To set a Log filter

 Right-click the Log panel and select Log Filter... on the shortcut menu, or

Select Log Filter... on the Tools menu

‚ Select required options on the Log dialog box and click the OK button

Log dialog box

Log filter options
Type |
MFT File | If this check box is selected, R-Studio logs all events with an MFT file.
MFT Attributes | If this check box is selected, R-Studio logs all events with MFT attributes.
Decompress | If this check box selected, R-Studio logs all events with decompression of NTFS compressed objects.
FAT | If this check box is selected, R-Studio logs all events with FAT.
Recover | If this check box is selected, R-Studio logs all events with the recovering processes.
Disk | If this check box is selected, R-Studio logs all events with disks.
Network | If this check box is selected, R-Studio logs all events with network operation.
Windows | If this check box is selected, R-Studio logs all Windows-related events.
Severity |
Error | If this check box is selected, R-Studio adds error messages into its log.
Warning | If this check box is selected, R-Studio adds warning messages into its log.
Information | If this check box is selected, R-Studio adds information messages into its log.
Success | If this check box is selected, R-Studio adds success messages into its log.
NEVER WRITE A LOG FILE ON THE DISK FROM WHICH YOU RECOVER DATA!!! Or you may obtain unpredictable results and lose all your data.
Log to File | If this check box is selected, R-Studio writes its log into a log file specified in the Log to File: field.
Rewrite/Append | Select it if you want to rewrite a log file, or append log information to this file.
Note: If in the Recover dialog box the Condense successful restoration events check box is selected, the Log will display only Error, Warning, and Information event messages.
Ü R-Studio will show only those log events that match the specified options

NEVER WRITE A LOG FILE ON THE LOGICAL DISK FROM WHICH YOU RECOVER DATA!!!

Or you may obtain unpredictable results and lose all your data.

You may clear or save the log

To clear the log,

¡ Select Clear Log on the Tools menu, or

Right-click the Log panel and select Clear Log on the shortcut menu.

To save the log to a file,

¡ Select Save Log to File on the Tools menu, or

Right-click the Log panel and select Save Log to File on the shortcut menu.


Mass File Recovery

R-Studio stores information about found files in computer memory. If there are too many files, R-Studio may run out of it. To avoid this, you have two options:

Recover all files

If you want to recover data from an entire file system object (a logical disk, partition, partition image, etc.), you may use the Recover All Files command from the Drive or shortcut menu. Right click the object in the Device/Disk panel to access the shortcut menu. A Recover dialog box will appear. Select required restore settings, including file mask. This command restores unlimited number of files without memory restrictions.

View file information in steps

As soon as R-Studio nearly runs out of memory, a Too many files... message appears. You may temporally stop file listing and browse through found files. Then you can resume file listing. You also may skip this file section and continue file listing.

In all cases, R-Studio keeps information about the entire file structure.


Advanced Data Recovery

This chapter explains how to perform advanced data recovery operations.

· Disk Scan
· Regions
· Images
· Volume Sets and RAIDs
· Text/Hexadecimal Editor

Introduction to R-Studio

Technical Information and Troubleshooting

R-Studio Emergency

R-Studio Agent Emergency


Disk Scan

In order to completely analyze data structure on an object, it must be scanned. Any object on the Device/Disk panel can be scanned. In addition, you may create a region to scan only a part of an object. The Regions topic explains how to create and work with regions.

You may select scan area and some other scan parameters. Scan information may be saved to a file and later this file may be opened.

Attention: Scanning large areas may be a very lengthy process!

NEVER TRY TO SAVE SCAN INFORMATION ON THE OBJECT BEING SCANNED!!!

Or you may obtain unpredictable results and lose all your data.

To scan an object

 Select an object on the R-Studio's Device/Disk panel
‚ Click the Scan button
Other ways to start scan
· Right-click the selected disk and select Scan on the shortcut menu,

or

· Select Scan on the Drive menu
ƒ Specify the required parameters on the Scan dialog box and click the Scan button

Scan dialog box

Scan options
Disk Size: | Shows the size of the object to be scanned
Start: | Sets the start point of the area to be scanned.
Size: | Sets the size of the area to be scanned.
Numbers in these fields can be in bytes or sectors. If no letters are after the numbers, R-Studio assumes the numbers in bytes. The following case-ignoring notation is possible:
b kb mb gb tb Sec | bytes kilobytes megabytes gigabytes terabytes sectors
File Systems: | Specifies the file systems which objects are to be searched for. Current version supports: FAT, NTFS, Ext2FS/3FS, HFS, and UFS file systems. Please note that if you need to scan an HFS, HFS+, or HFSX disk, always enable the Extra search for Known File Types option. This is very important because when files are being deleted on the HFS, HFS+, HFSX file systems, the computer completely removes all system information on them, and there is no way to recover the deleted files except by using the Extra Search for Known File Types option.
Extra search for Known File Types | Enables search for Known File Types.
Save scan Info to File: | If this checkbox is selected, R-Studio will save scan information to a specified file. Later this file may be opened. Please note, that this option does not save actual disk data, only information on disk data structure gathered during disk scan.
Simple view | If this option is selected, R-Studio will show only scan progress.
Detailed view | If this option is selected, R-Studio will show graphic representation on objects found during scan.
Buttons
Scan | Starts scanning
Advanced | Activates advanced scan options
Known File Types... | Selects file types that R-Studio will recognize during the disk scan.
Cancel | Closes the dialog box
NEVER TRY TO SAVE SCAN INFORMATION ON THE OBJECT BEING SCANNED!!! Or you may obtain unpredictable results and lose all your data.

Known File Types: While scanning, R-Studio can recognize to which particular file type the data belong. Using such information, R-Studio can obtain more information about data/file structure on the object being scanned. By default, R-Studio tries to recognize all supported file types, greatly increasing time required for the scan. You may reduce it by selecting only those file types that you need. Click the Known File Types... button and select the required file types on the File Types dialog box.

File Types dialog box

List of known file types
* By default, files of this type are not selected. If necessary, select them manually
Document
Adobe PDF document | Microsoft Word2 document | Microsoft WordPad document | OLE Storage
PostScript document | Rich Text document | TEX document | Word for Macintosh document
WordPerfect document |  |  |
Document: Spreadsheet
Lotus worksheet | Lotus3 worksheet * | Microsoft Excel2 worksheet | Microsoft Excel3/4 worksheet
Quattro Pro worksheet |  |  |
Document: Database
Data Interchange Format file | Microsoft Access database | dBase III database | Microsoft SQL database
Microsoft SQL Log |  |  |
Document: MS Office (OLE MS) (Word/Excel/PowerPoint)
Microsoft Word document | Microsoft Excel document | Microsoft PowerPoint document
Internet-related files
Compiled HTML file | HTML document | Internet shortcut | Outlook Express Messages
Windows Address Book | XML document | XML document (Unicode) | The Bat! Address book
The Bat! Message Base | The Bat! Message Index |  |
Font
Adobe PostScript Font | Adobe Printer Font | BDF Unix font | BGI font
CPI DOS font | TrueType font |  |
Graphics/Picture
AVHRR Satellite image | Adobe Photoshop image | Agfa/Matrix Scodl image | Alias Wavefront Raster image
AutoCAD Binary image | AutoCAD image | Autodesc Animator Pro color map | Autodesc Animator Pro image
Autodesc Animator image | Autologic image | BMF image | ColoRIX image
CompuServe GIF image | ComputerEyes Raw image | Continuous Edge Graphic image | Corel Texture image
CorelDraw CMX image | CorelDraw image | Cubicomp Picture Maker image | Dr. Halo palette
Enhanced MetaFile image | Epson Stylus image | Erdas LAN/GIS image | Fractal Image Format
GEM Raster image * | GEM VDI image | GOES Satellite image | Gridded Binary image
HP Command Language image | HP Raster image | Hitachi Raster image | IBM Picture Maker image
JPEG image | JPEG-LS image | HSI JPEG image | Jovian Logic image
LBM/IFF image | Lotus PIC image | Macintosh PICT image | Macintosh PICT image
Macintosh Paint image | Macintosh Paint image | Microsoft Paint image | PBM image
PGM image | PIX image | PM image | PNG image
PPM image | Pictor PC Paint image | Quick Link II fax image | RenderMan image
SGI image | STAD image | Sketch image | Sun Raster image
Tagged Image Format File | TrueVision image | Utah Raster Toolkit image | VITec image
Windows Animated cursor | Windows Bitmap image | Windows Fax Cover image | Windows MetaFile image
Windows cursor | Windows icon | WordPerfect Graphics image | X PixMap image
X Window Dump image | ZSoft PCX image |  |
Multimedia: Audio Files
AIFF sound | AVR sound | Advanced Streaming Format file | AudioCD file
CMF music | Creative Voice file | DiamondWare sound | EA ASF/MUS audio file
Extended M3U playlist | MIDI Instrument definition | MIDI music | MIDI stream
MPEG Layer I audio file * | MPEG Layer II audio file * | MPEG Layer III audio file | MUS music
Next/Sun sound | Ogg Vorbis audio file | RIFF MIDI music | RK Audio sound
Sierra AUD sound | VQF sound | Westwood AUD sound | Windows Media Audio File
Windows WAVE sound | X-MIDI music | ZyXEL sound |
Multimedia: Video Files
ANIM animation | Adobe Filmstrip animation | BINK video | DVM video
DeluxePaint animation | Director video | Intel DVI video | Interplay MVE video
LZA animation | MPEG video | NEOchrome animation | Nullsoft Video
QV-10 video | QuickTime video | RPL video | Shockwave video
Smacker video | VideoCD video | Windows AVI video |
Multimedia Files
RIFF Multimedia File | Real Networks audio/video |  |
Archive Files
7-Zip archive | ACE archive | AIN archive | ARJ archive
ARX archive | Aladdin Systems StuffIt archive | BAG archive | BIX archive
BOA archive | BZip2 archive | BlackHole archive | Blink archive
CPIO archive | CRUSH archive | ChArc archive | Compress archive
FOXSQZ archive | GZip archive | HA archive * | HAP archive
HPACK archive | Hyper archive | InstallShield Cabinet archive | InstallShield Data archive
InstallShield archive | JAM archive | JAR archive | JRC archive
LHA/LZARK archive | LIMIT archive | LZA archive | LZOParchive
LZSH archive | LZX archive | Microsoft Cabinet archive | Microsoft Compress 5 archive
Microsoft Compress 6 archive | PAKLEO archive | Pack archive * | QFC archive
Quantum archive * | Quark archive | RAR archive | RPM archive
ReSOF archive | SAR archive | SBC archive | SCO archive *
SQZ archive | SZip archive | StuffIt archive | TAR archive
UFA archive | UHArc archive | UltraCompressor 2 archive | UltraCrypt 2 archive
WIN-Freeze archive * | WRAptor archive | WinImp archive | YAC archive
YBS archive | ZIP archive | ZOO archive | ZZip archive
Executable/Library/DLL
DOS Style Executable | ELF Executable (UNIX) | ELF Library (UNIX) | ELF Module (UNIX)
Java Bytecode | Novell NetWare executable | RDOFF executable |
Development files
COM Type library Library | Microsoft ClassWizard file | Microsoft Linker database | Microsoft Precompiled header
Microsoft Program database | Microsoft Visual C++ project | Microsoft Visual Studio project | Microsoft Visual Studio workspace
OMF Object library | Windows Compiled resource (16bit) * | Windows Compiled resource (32bit) |
Other file types
RegEdit file | RegEdit file (UNICODE) | WinHelp | WinHelp Contents
Windows Clipboard file * | Windows Color Profile | Windows National locale | Windows Password file
Windows Policy file | Windows Registry file | Windows Registry hive | Windows shortcut
Ü R-Studio starts scanning the object, and its panel will show information about new found objects:
R-Studio Main panel

Click the panel regions to learn their functions.

Connect to RemoteRefresh (Control+R)Open Drive Files (F5)ScanOpen ImageCreate ImageCreate Region (F4)Create virtual volume sets or RAIDsDelete (F8)Stop (Esc)

The Log pane will show scan progress. Scan may be stopped by clicking the Stop button on the toolbar. Later the scan process may be resumed with different scan parameters.

To see the information about a newly found object, simply click it on the Device/Disk panel. Click this link to see the information about the object Recognized0 on the logical disk H:.

When an object is scanned, a number of Recognized partitions will appear. R-Studio shows them in different colors depending on which elements of the partition have been found.

Both boot records and file entries are found for this partition

Only file entries are found for this partition

Only boot records are found for this partition

Although such recognized partitions are virtual objects, files can be searched for and recovered from recognized partitions as from real logical disks using Basic File Recovery.

All scanned information may be deleted on the shortcut menu for a scanned object.

Scan information may be saved in a file. Previously saved scan information may be loaded. This can be done on the Drive or shortcut menu for a selected object.

Multiple scans

If the selected object has been completely scanned, you may rescan it either completely or with new scan parameters. If the selected object has been scanned partially, you may scan the rest of the object, ignore the existing scan information and scan the entire object, or specify scan parameters manually.

R-Studio accumulates the information from successive scans and keeps track of changes in this information obtained from different scans.

You may make several scans of successive or overlapping areas. Click the Advanced button, specify an offset and size for a new area to scan on the Advanced Scan dialog box and click the Add button. You may specify and add several scan areas. You may select which areas should be scanned. Selected scan areas can be merged. Right-click a necessary area and select either Merge Down, Merge Down All, and Merge Selected.

Advanced Scan dialog box

Managing scan information

Scan information may be saved to a file. Previously saved scan information may be loaded.

To save scan information

 Select an object on the R-Studio Device/Disk panel
‚ Select Save Scan Information on the Drive or shortcut menu and save the scan information in a file

The default file extension is *.dpl.

To load scan information

 Select an object on the R-Studio Device/Disk panel
‚ Select Open Scan Information on the Drive or shortcut menu and select the required file with the scan information

The default file extension is *.dpl.

Ü The scan information will appear in the Device/Disk panel

To delete scan information

 Select an object on the R-Studio Device/Disk panel
‚ Select Delete Scan Information on the Drive or shortcut menu
Ü The scan information will disappear from the Device/Disk panel

NEVER TRY TO SAVE SCAN INFORMATION ON THE OBJECT BEING SCANNED!!!

Or you may obtain unpredictable results and lose all your data.


Regions

Scanning large objects may take a long time. Sometimes, only smaller area of a disk needs to be scanned or searched for files. Such area is called a region. A region can be created on any object in the R-Studio's Device/Disk panel.

Created regions can be scanned, and files on them can be recovered in the same way as from hard drives or logical disks.

Created regions can be deleted.

Note: R-Studio does not create anything real on the disk. Regions are virtual objects that do not affect actual data on the disk.

To create a region

 Select an object on the R-Studio's Device/Disk panel and click the Create Region button
Other ways to create the region
· Right-click the selected object and select Create Region on the shortcut menu

or

· Select the object and select Create Region on the Create menu

or

· Select the object and press the F4 key on the keyboard
‚ Specify required parameters on the Create region dialog box and click the Create button

Create region dialog box

Region options
Disk size: | Shows size of the object where the region is to be created. The region cannot be larger than this size.
Start: | Start point of the region
Size: | Size of the region. Cannot be larger than Disk size.
Numbers in these fields can be in bytes or sectors. If no letters are after the numbers, R-Studio assumes the numbers in bytes. The following case-insensitive notation is possible: b bytes kb kilobytes b megabytes gb gigabytes tb terabytes Sec sectors
Ü A Region object will appear on the Device/Disk panel.

To delete a region

¡ Select a Region on the R-Studio's Device/Disk panel and click the Delete button, or

Right-click the selected region and select Delete Region on the shortcut menu.


Images

An image is an exact, byte by byte, copy of any object on the Device/Disk panel. When created, images can be processed like their original objects.

Images are very useful if there is a risk of total data loss due to hardware malfunction. If bad blocks are constantly appearing on a hard drive, you must immediately create an image of this drive. All data search, scan and restoring can be done from this image.

To create an image,

 Select an object on the R-Studio's Device/Disk panel and click the Create Image button
Other ways to create the image
· Select the object and select Create Image on the Drive menu

or

· Right-click the selected object and select Create Image File on the shortcut menu
‚ Specify image options, a file name, and destination for the image on the Create Image dialog box

Note: To store an image file, you need a free space equal to at least the object size.

Create Image dialog box

Image Options
Image name | Specifies the name and path for the image file
Plain image | If this option is selected, R-Studio will create a simple exact copy of the object. This image format is compatible with the previous versions of R-Studio.
Compressed image (R-Drive Image compatible) | If this option is selected, R-Studio will create an image file which can be compressed, split into several parts, and password-protected. This image file is fully compatible with the images created by R-Drive Image, but incompatible with the previous versions of R-Studio.
Image compression ratio | You may compress the data in the image to save space. Active only if the Compressed image (R-Drive Image compatible) is selected.
Estimated size | Shows the estimated size of the image file. An actual image size depends on how much empty space is on the selected partition and what file types are there. Active only if the Compressed image (R-Drive Image compatible) is selected.
Image split size | You may set this option to Automatic and let Windows decide how to split the image file. This mostly depends on the file system on the destination disk. You may also either explicitly specify the split size, or choose a preset for various devices with removable storage. Select Fixed size for that. Active only if the Compressed image (R-Drive Image compatible) is selected.
Password | You may protect your image file with a password. Note: This feature provides a relatively moderate protection against conventional unauthorized access. Active only if the Compressed image (R-Drive Image compatible) is selected.
Ü R-Studio will start creating the image, the Progress message showing the progress.

To process an already created Image, the image file should be opened.

To open an image

 Click the Open Image button, or

Select Open Image File on the Drive menu

‚ Select the required image file
Ü An Image object will appear on the Device/Disk panel

You may perform all data search, scan, and recovery from this image as it were a regular drive/disk object.


Volume Sets and RAIDs

R-Studio detects and processes valid hardware volume sets and RAIDs like regular drives/volumes.

R-Studio can analyze and recover data from software volume sets and RAIDs. If a software volume set or RAID is present in your system, R-Studio detects it, and a Volume sets and RAIDs object appears on the Device/Disk panel. This object can be searched for files, scanned, and files found on it can be recovered the same way as from normal drives/volumes.

If, due to hardware failure, a hardware volume set or RAID cannot be accessed, or due to data loss your system does not recognize a software volume set or RAID, and you know what hard drives were in it, you may create a Virtual volume set or RAID and process it like a real software volume set or RAID or software volume set or RAID.

To create a Virtual volume set or RAID

 Click the Create virtual volume sets or RAIDs button or the Create menu to create a Virtual volume set or RAID
‚ Select an appropriate type from the shortcut menu
Ü A Volume sets and RAIDs object will appear on the Device/Disk panel
ƒ Drag the required partitions from the Device/Disk panel to the Parents tab

Note: Partitions should be placed in the same order as they were in the original volume set. If this order is incorrect, you must change it by dragging the parents in the correct order. Moreover, the RAID block size and Offset (in sectors) parameters must be set the same as for the original volume set.

You also need to specify Blocks order for virtual stripe sets or RAID5. You may select it on the Blocks order drop-down or shortcut menu.

If the those parameters are not correct, data on the parents will not be damaged, but they cannot be recovered.

If your virtual stripe set or RAID5 has an unusual configuration, you may change the stripe order using the shortcut menu and the number of rows in the table by selecting the required Rows count.

Note: You may check how correctly you have reconstructed the original volume set or RAID. Scan it, and if an unusually large number of recognized partitions have been found and their offsets differ by block size multiples (for example, 32KB or 64KB), something is wrong in the parameters of the created Virtual volume set or RAID.

Ü The Virtual volume set or RAIDs object can now be processed like regular drives/volumes

Empty space objects

If one partition from a hardware volume set or RAID or software volume set or RAID is absent, due to hardware failure, for example, you need to add empty space in order to correctly re-construct the hardware volume set or RAID or software volume set or RAID structure. The empty space should be of the same size as the missing partition and placed in the same place.

Note: R-Studio does not write anything real on the disk. Empty spaces are virtual objects that do not affect actual data on the drive.

To add an Empty space object

 Select a Volume sets and RAIDs object on the R-Studio's Device/Disk panel
‚ Right-click in the Parents tab in the right pane and select Add Empty Space on the shortcut menu or select Add Empty Space in the Create menu and specify size for the Empty space object
Ü An Empty space object will appear in the Parents tab
ƒ Drag this object to its correct position
Ü This Virtual volume set now can be processed like a normal drive/volume


Text/Hexadecimal Editor

Any object visible by R-Studio can be viewed and edited in the Text/Hexadecimal Editor. It is also able to parse the data and represent data according to various data patterns. You may also create your own patterns to parse data.

· Viewing and Editing Objects
· Creating Custom Patterns
· Pattern Example I
· Pattern Example II


Viewing and Editing Objects

YOU MUST BE ABSOLUTELY SURE OF WHAT AND WHERE YOU ARE WRITING!

Or you may completely lose all your data.

Before you can physically write anything on a disk, you need to enable writing.

To enable writing,

 On the R-Studio main panel, select Enable Write on the Tools menu
Ü The Editable: status will change to Yes from Read Only.

Now the object can be edited.

To view/edit an object,

 Right-click the object and select View/Edit on the shortcut menu
Other ways to view/edit the object
· Select the object and select View/Edit on the File menu

or

· Select the object and press the Ctrl+E keys
Ü A Viewer/Editor panel will appear
R-Studio Text/Hexadecimal editor

Click the panel regions to learn their functions.

Save ChangesFindFind NextFind PreviousStop (Esc)BackForwardAuto flowPropertiesData Interpreter

Text view of the data

Panel view options

You may set which panels and bars to enable/disable.

To enable/disable:
ANSI data | Select/clear ANSI on the View menu
OEM data | Select/clear OEMr on the View menu
UNICODE data | Select/clear UNICODE on the View menu
UNICODE+ data | Select/clear UNICODE+ on the View menu
Toolbar | Select/clear Toolbar on the View menu
Properties View | Select/clear Properties View on the View menu
Sectors View | Select/clear Sectors View on the View menu
Data Interpreter View | Select/clear Data Interpreter View on the View menu
Template View | Select/clear Template View on the View menu
Bookmarks View | Select/clear Bookmarks View on the View menu
Find Results View | Select/clear Find Results View on the View menu
‚ View the information and make necessary changes

Select Enable Write on the Tools menu if you want to save changes.

Viewing

You may view data in 4 various code pages: ANSI/OEM/UNICODE/UNICODE+ by s witching on/off the respective code pages in the Code pages buttons or select the appropriate code pages on the View menu.

Patterns or Templates

You may select a pattern according to which the data will be parsed and shown in the parsed data pane. The Data Interpreter shows the data selected on the Template pane in various representation.

You may find the next or previous data that matches the pattern signature on the disk. Right-click the right pane of the editor and select either Find Template Signature Next or Find Template Signature Previous on the shortcut menu. You may also select these items on the Edit menu.

You may also create your own patterns to parse data from various objects.

Searching

To search for a particular string, click the Find, Find Next, or Find Previous buttons or the same items on the Edit menu, and specify the string on the Search dialog box.

Search dialog box

Search options
Search for
HEX | Field for the string to search for in the hexadecimal representation
ANSI | Field for the string to search for in the ANSI encoding
OEM | Field for the string to search for in the OEM encoding
UNICODE | Field for the string to search for in the UNICODE encoding
Match case | Select this check box to make the search case-sensitive
Search area
From current position | Select this check box to start search from the current position
From Address | Select this check box and specify the range in which the search is to be carried out
Search position
Exhaustive search | Select this check box to search the entire object
Search at offset | Select this check box and specify the offset from which the search will start
Reverse | Select this check box to start the search in the reverse direction
Find all | Select this check box to search for all instances of the string to search. Search results will be shown in the Find Results pane.

Search results are shown on the Find Results pane. You may easily move to the required found item by clicking the item.

Navigating

You may quickly move to a particular part of the object. To move to a particular part of the object being viewed/edited, enter the required offset in the Go to Offset field on the right to the buttons, or

select Goto on the Tools menu or press the F5 key and specify the offset on the Go to dialog box.

Go to dialog box

Bookmarking

You may create bookmarks to easily move to those places. Right-click the cursor to the place you want to bookmark and select Toggle Bookmark on the shortcut menu. The list of bookmarks appears in the Bookmark pane. You may easily move to the required bookmark by clicking it in the list.

You may control bookmarks on the Edit menu.

Filling an area with a pattern

To fill an area with a pattern, select Fill on the Edit menu, and specify the pattern and area on the Fill dialog box.

Fill dialog box

Fill options
Fill pattern
HEX | Field for the pattern to fill the area in the hexadecimal representation
ANSI | Field for the pattern to fill the area in the ANSI encoding
OEM | Field for the pattern to fill the area in the OEM encoding
UNICODE | Field for the pattern to fill the area in the UNICODE encoding
Fill range
From (hex) | Field for the start position of the area to fill with the pattern
To (hex) | Field for the end position of the area to fill with the pattern
ƒ Click the Save Changes button to save the changes
Other ways to save the changes made
· Select Save Changes on the Edit menu

or

· Press the F2 key
Ü Viewer/Editor will save the changes on the object

YOU MUST BE ABSOLUTELY SURE OF WHAT AND WHERE YOU ARE WRITING!

Or you may completely lose all your data.

Selecting and saving an area in the Viewer/Editor

You may select an area in the Viewer/Editor panel and save it as a file.

To select and save an area in the Viewer/Editor panel,

 Select Select... on the Tools menu and specify an area to select on the Select dialog box, or

Click the start point of the area and drag the mouse cursor to its end.

If you need to select an entire object, select Select All on the Tools menu or click the Ctrl+A key

Select dialog box

‚ Select an appropriate item in the Tools menu to save the data in a required format and specify its file name

Select:

Save to Binary File... | to save the data in the binary format (default extension is .bin)
Save to Hexadecimal File | to save the data in the binary format (default extension is .hex)

on the Tools menu.

Ü Viewer/Editor will save the data in the file


Creating Custom Patterns

You may create your own patterns yourself.

An example of a commented pattern parsing an AVI file.

The syntax of pattern description is similar to that of the XML language. Files with patterns should be placed in the .../Templates/ sub-folder in the R-Studio program folder.

Pattern structure

Pattern header

Each pattern starts with a standard header

<?xml version="1.0" encoding="utf-8"?>

Section template

Each pattern starts with a section giving to the pattern a name that will be shown in the parsed data pane.

Attributes:

name

Specifies the pattern name shown in the parsed data pane

Example:

<template name="AVI File LIST">

........

</template>

Section signature

Attributes:

align <positive integer>

Specifies if the data structure address is aligned (i.g., by a sector: 512)

This section contains elements field with hex-codes of the signature. The attribute offset specifies their offset from the start of the record. Field length is equal to the number of hex-codes.

Example:

<signature align="1">

<field offset="0">46 49</field>

<field offset="2">4c 45</field>

</signature>

Section section

Such sections contain all expressions and operations needed for the pattern to parse the data. A section name is shown in the parsed data pane. In fact, sections are virtual objects used to group logically connected fields. Sections can be nested.

The main section is not shown in the parsed data pane.

Section contain elements field which are actual data objects. field names are shown in the parsed data pane with their values.

Attributes:

name

Specifies the pattern name shown in the parsed data pane

Example:

<section name="JUNK">

....

</section>

List of All Objects in Patterns

Data types (in field)

· integer

Sub-types:

int8

int16

int32

int64

uint8

uint16

uint32

uint64

uintX

Attributes:

endian: (be | le | system) | Optional. Default: system.
base: (decimal | hex | octal) | Optional. Specifies data representation. Default: decimal.
as-offset: <expression> | Optional. Specifies that this field is an offset and its value should be evaluated using the expression. A special variable this returns the value of this field.
purpose: (offset | rsector |sector | cluster | rcluster) | Optional. Specifies the type of the as-offset expression result . If this attribute is present, the attribute is necessary if the offset value should differ from the value of this field (variable this ). rsector and rcluster are offsets relative to the absolute position of the pattern beginning.
assigned-template: <TemplateName> | Specifies the pattern name linked with this field. Ignored if the as-offset or purpose attributes are not specified.
var: <Name> | Optional. Specifies the name under which the value of this field can be accessed in expressions.

· binary

Attributes:

display-encoding: (hex | binary) | Optional. Default: hex.
size: <bytes> | Mandatory.

· char

Attributes:

size: <bytes> | Mandatory.
codepage: (ansi | oem | utf8 | utf16) | Optional. Specifies which codepage is used. Default: ansi.

· filetime

Shows time in the Win32 format (64 bits)

· unixtime

Shows time in the Unix format (seconds from 01/01/1970)

· filetime

Shows time in the DOS format (date: hiword, time: loword)

· bits

Attributes:

size: <bytes> | Mandatory.
pos: <comma separated list of bit positions> | Mandatory. Specifies bit positions in a data block.

Commands

· goto

Specifies a jump to a specified offset (either absolute or relative one)

Attributes:

address: <expression> | Specifies an absolute address to jump to.
offset: <expression> | Specifies a relative offset to jump by.

One and only one of the attributes should always be specified.

· if

Evaluates a condition specified in the test attribute and, if the condition is true, reads fields specified in this tag.

Attribute:

test: <expression>

Sets a condition to test against.

· repeat

Reads the fields specified in the tag until the exit condition is equal to 0 or specified times

Attributes:

count: <expression> | <expression> is evaluated one time upon entering the block. Internal elements are read the specified number of times.
test: <expression> | <expression> is evaluated upon entering the block. Similar to the C++ construction while(...) {}.
test: <expression> | <expression> is evaluated upon exiting the block. Similar to the C++ construction do {} while(...).

· setvar

Sets the value of an internal variable. As an example, this command is convenient to store the current offset. The value of the current offset is stored in a predefined variable offset.

Attributes:

var: <string> | Specifies the name of the variable.
expr: <expression> | Specifies an expression which result will be assigned to the variable.

Expressions

Expressions in the patterns are arithmetic expressions which syntax is similar to that of the C language, including operation preceding.

The following operations are supported:

+ - * / & | > < <= >= != == || &&

Predefined variables

· offset

An offset in bytes from the pattern beginning data is currently read at.

· start_position

An absolute position of the pattern beginning. offset + start_position = absolute offset.

· this

This variable exists only within the context of the ass-offset expression evaluation and is the current value of the data field for which that expression is specified


Pattern Example I

Below is an example of a commented pattern parsing an AVI file.

<?xml version="1.0" encoding="utf-8"?>

<!-- A pattern section. The pattern name is AVI File. -->

<template name="AVI File">

<!-- A template signature section. Alignment is 1. -->

<signature align="1">

<!-- A 4-byte signature at offset 0x00. -->

<field offset="0x00">52 49 46 46</field> <!-- ANSI: RIFF -->

<!-- A 4-byte signature at offset 0x08. -->

<field offset="0x08">41 56 49 20</field> <!-- ANSI: LIST -->

</signature>

<!-- A data section. Its name is AVI File. This is the main data section. It is not shown in the parsing tree as a section (its name is ignored). -->

<section name="AVI File">

<!-- The first 4 bytes are read and shown as an ANSI string. -->

<field type="char" size="4" name="Signature: RIFF" var="signature"/>

<!-- The current position is moved to the beginning of the file. -->

<goto offset="-4"/>

<!-- The first 4 bytes in the file are read and shown as an unsigned integer. The internal variable signature gets the value of the field. -->

<field type="uint32" base="hex" name="Signature RIFF as unsigned integer in hex format" var="signature"/>

<!-- A test against the condition (signature == RIFF) -->

<if test="signature == 0x46464952"> <!-- ANSI: RIFF -->

<!-- The next 4 bytes are read and shown as an unsigned integer. The internal variable dataSize gets the value of the field. -->

<field type="uint32" name="Size of the data in file" var="dataSize"/>

<!-- A new internal variable endOfFile is created and the expr field evaluates its value.-->

<setvar var="endOfFile" expr="offset + dataSize - 8"/>

<!-- The next 4 bytes is read and shown as an ANSI string. -->

<field type="char" size="4" name="File type"/>

<!-- A new section named DATA is created -->

<section name="DATA">

<!-- A new internal variable chunksOffset is created, the expr filed evaluating its value. This variable gets the absolute value of template offset. -->

<setvar var="chunksOffset" expr="start_position"/>

<!-- A loop is created. Its condition is set in the test field (while the endOfFile variable is greater then the current position.) -->

<repeat test="endOfFile > offset">

<!-- 4 bytes are read and shown as an ANSI string. -->

<field type="char" size="4" name="Signature"/>

<!-- The current position is moved backwards by 4 bytes. -->

<goto offset="-4"/>

<!-- The same 4 bytes are read and shown as an unsigned integer. The internal variable signature gets this value. -->

<field type="uint32" name="Signature as unsigned integer" var="signature"/>

<!-- A test against the condition (signature == LIST) -->

<if test="signature == 1414744396"> <!-- ANSI: LIST -->

<!-- The section is shown. Its name is LIST -->

<section name="LIST">

<!-- The current position is moved backward by 4 bytes. -->

<goto offset="-4"/>

<!-- The 4 bytes are read and shown as an unsigned hexadecimal integer. This field has the attributes offset and assigned-template. If the user double-clicks this field, the AVI File LIST pattern will be invoked and the current pattern position will be moved to the address specified in as-offset.-->

<field type="uint32" base="hex" name="Signature LIST as unsigned integer in hex format" as-offset="start_position + offset - 4" assigned-template="AVI File LIST"/>

<!-- The next 4 bytes are read and shown as an unsigned integer. The listSize variable gets its value. -->

<field type="uint32" name="Size of the data in the list" var="listSize"/>

<!-- The 4 bytes are read and shown as an ANSI string. -->

<field type="char" size="4" name="List type"/>

<!-- The current position is moved backward by 4 bytes. -->

<goto offset="-4"/>

<!-- The same 4 bytes are shown as an unsigned hexadecimal integer. The listType variable gets its value.-->

<field type="uint32" base="hex" name="List type as unsigned integer in hex format" var="listType"/>

<!-- A test against condition (type == movi) -->

<if test="listType == 0x69766f6d"> <!-- ANSI: movi -->

<!-- The chunksOffset variable gets the value evaluated in the expr attribute. -->

<setvar var="chunksOffset" expr="start_position + offset - 4"/>

</if>

<!-- The current position is moved to the address evaluated in the address attribute. -->

<goto address="offset + listSize - 4"/>

</section>

</if>

<!-- A test against condition (signature == JUNK) -->

<if test="signature == 1263424842"> <!-- ANSI: JUNK -->

<!-- The section is shown with the JUNK name. -->

<section name="JUNK">

<!-- The next 4 bytes are read and shown as an unsigned integer. The internal variable junkSize gets its value. -->

<field type="uint32" name="Size of the data of the junk" var="junkSize"/>

<!-- The current position is moved by junkSize bytes forward. -->

<goto offset="junkSize"/>

</section>

</if>

<!-- A test against condition (signature == idx1) -->

<if test="signature == 829973609"> <!-- ANSI: idx1 -->

<!-- The section is shown with the idx1 name. -->

<section name="idx1">

<!-- The next 4 bytes are read and shown as an unsigned integer. The internal variable idxSize gets its value. -->

<field type="uint32" name="Size of the data of the idx1" var="idxSize"/>

<!-- The section is shown with the First AVIINDEXENTRY name. -->

<section name="First AVIINDEXENTRY">

<!-- The 4 bytes are read and shown as an ANSI string. -->

<field type="char" size="4" name="Chunck id"/>

<!-- The next 4 bytes are read and shown as an unsigned hexadecimal integer. -->

<field type="uint32" base="hex" name="Flags"/>

<!-- The next 4 bytes are read ans shown as an unsigned hexadecimal integer. The offset attribute is evaluated for this field as a sum of the chunksOffset variable and valued of this field. -->

<field type="uint32" base="hex" name="Chunk offset" as-offset="chunksOffset + this"/>

<!-- The next 4 bytes are read and shown as an unsigned integer. -->

<field type="uint32" name="Chunk size"/>

</section>

<!-- The current position is moved by idxSiz bytes forward. -->

<goto offset="idxSize"/>

</section>

</if>

<!-- A test against the condition. &amp;&amp; is a logical AND (&&) -->

<if test="signature != 1414744396 &amp;&amp; signature != 1263424842 &amp;&amp; signature != 829973609">

<!-- An empty section is shown. Its name is Unknown signature found -->

<section name="Unknown signature found">

</section>

<!-- The current position is moved to the address set in the endOfFile variable. -->

<goto address="endOfFile"/>

</if>

</repeat>

</section>

</if>

</section>

</template>


Pattern Example II

<?xml version="1.0" encoding="utf-8"?>

<!-- A pattern section. The pattern name is AVI File LIST -->

<template name="AVI File LIST">

<!-- A template signature section. Alignment is 1. -->

<signature align="1">

<!-- A 4-byte signature at offset 0x00. -->

<field offset="0x00">4C 49 53 54</field> <!-- ANSI: LIST -->

</signature>

<!-- A data section. Its name is AVI File LIST. This is the main data section. It is not shown in the parsing tree as a section (its name is ignored).-->

<section name="AVI File LIST">

<!-- The first 4 bytes are read and shown as an ANSI string. -->

<field type="char" size="4" name="Signature: LIST"/>

<!-- The current position is moved to the beginning of the file (4 bytes backward). -->

<goto offset="-4"/>

<!-- The first 4 bytes in the file are read and shown as an unsigned integer. The internal variable signature gets the value of the field. -->

<field type="uint32" name="Signature LIST as unsigned integer" var="signature"/>

<!-- A test against the condition (signature == LIST) -->

<if test="signature == 1414744396"> <!-- ANSI: LIST -->

<!-- The next 4 bytes are read and shown as an unsigned integer. The internal variable listSize gets its value. -->

<field type="uint32" name="Size of the data in the list" var="listSize"/>

<setvar var="endOfList" expr="offset + listSize"/>

<field type="char" size="4" name="List type"/>

<goto offset="-4"/>

<field type="uint32" base="hex" name="List type as unsigned integer in hex format" var="listType"/>

<!-- A test against condition (listType == movi) -->

<if test="listType == 0x69766f6d"> <!-- ANSI: movi -->

<!-- This chunk is not to be parsed. The current position is moved to the end of the chunk. -->

<goto address="endOfList"/>

</if>

<setvar var="mediaType" expr="0"/>

<repeat test="endOfList > offset - 8">

<section name="CHUNK">

<field type="char" size="4" name="Chunk ID"/>

<goto offset="-4"/>

<field type="uint32" name="Chunk ID as unsigned integer" var="chunkId"/>

<if test="chunkId == 1414744396"> <!-- ANSI: LIST -->

<goto offset="-4"/>

<field type="uint32" base="hex" name="LIST chunk ID as unsigned integer in hex format" as-offset="start_position + offset - 4" assigned-template="AVI File LIST"/>

</if>

<field type="uint32" name="Size of the data in the chunk" var="chunkSize"/>

<setvar var="endOfChunk" expr="offset + chunkSize"/>

<!-- Rounding the value of the variable endOfChunk to a number divisible by 2. -->

<if test="endOfChunk &amp; 1">

<setvar var="endOfChunk" expr="endOfChunk &amp; 0xFFFFFFFE"/>

<setvar var="endOfChunk" expr="endOfChunk + 2"/>

</if>

<if test="chunkId == 1751742049"> <!-- ANSI: avih -->

<field type="uint32" name="Number of microseconds between frames"/>

<field type="uint32" name="Approximate maximum data rate of the file"/>

<field type="uint32" name="Alignment for data, in bytes"/>

<field type="uint32" name="Bitwise combination of zero or more of the flags"/>

<field type="uint32" name="Total number of frames of data in the file"/>

<field type="uint32" name="Initial frame for interleaved files"/>

<field type="uint32" name="Number of streams in the file"/>

<field type="uint32" name="Suggested buffer size for reading the file"/>

<field type="uint32" name="Width of the AVI file in pixels"/>

<field type="uint32" name="Height of the AVI file in pixels"/>

<field type="binary" size="16" name="Reserved"/>

</if>

<if test="chunkId == 1852994675"> <!-- ANSI: strn -->

<field type="char" size="chunkSize" name="Stream name"/>

</if>

<if test="chunkId == 1752331379"> <!-- ANSI: strh -->

<field type="char" size="4" name="Type"/>

<goto offset="-4"/>

<field type="uint32" base="hex" name="Type as unsigned integer in hex format" var="type"/>

<setvar var="mediaType" expr="type"/>

<field type="char" size="4" name="Handler (codec)"/>

<field type="uint32" base="hex" name="Flags"/>

<field type="uint32" name="Number of the first block of the stream that is present in the file"/>

<field type="uint32" name="Scale"/>

<field type="uint32" name="Rate"/>

<field type="uint32" name="Start time of stream"/>

<field type="uint32" name="Size of stream in units as defined in Rate and Scale"/>

<field type="uint32" name="Size of buffer necessary to store blocks of that stream"/>

<field type="uint32" name="Quality"/>

<field type="uint32" name="Sample size (number of bytes of one stream atom)"/>

</if>

<if test="chunkId == 1718776947"> <!-- ANSI: strf -->

<if test="mediaType == 0x73646976"> <!-- ANSI: vids -->

<section name="BITMAPINFOHEADER">

<field type="uint32" name="Number of bytes required by the structure"/>

<field type="int32" name="Width of the bitmap, in pixels"/>

<field type="int32" name="Height of the bitmap, in pixels"/>

<field type="uint16" name="Number of planes for the target device"/>

<field type="uint16" name="Number of bits-per-pixel"/>

<field type="uint32" name="Type of compression for a compressed bottom-up bitmap"/>

<field type="uint32" name="Size, in bytes, of the image"/>

<field type="int32" name="Horizontal resolution, in pixels-per-meter, of the target device for the bitmap"/>

<field type="int32" name="Vertical resolution, in pixels-per-meter, of the target device for the bitmap"/>

<field type="uint32" name="Number of color indexes in the color table that are actually used by the bitmap"/>

<field type="uint32" name="Number of color indexes that are required for displaying the bitmap"/>

</section>

</if>

<if test="mediaType == 0x73647561"> <!-- ANSI: auds -->

<section name="WAVEFORMATEX">

<field type="uint16" name="Waveform-audio format type"/>

<field type="uint16" name="Number of channels in the waveform-audio data"/>

<field type="uint32" name="Sample rate, in samples per second (hertz)"/>

<field type="uint32" name="Required average data-transfer rate, in bytes per second, for the format tag"/>

<field type="uint16" name="Block alignment, in bytes"/>

<field type="uint16" name="Bits per sample for the Waveform-audio format type"/>

<field type="uint16" name="Size, in bytes, of extra format information appended to the end of the WAVEFORMATEX structure"/>

</section>

</if>

</if>

<goto address="endOfChunk"/>

</section>

</repeat>

</if>

<if test="signature != 1414744396">

<section name="Invalid LIST signature found">

</section>

</if>

</section>

</template>


Data Recovery over Network

This chapter explains how to perform data recovery operations over network.

R-Studio has network capabilities that allow the system administrator, using its computer, to recover files on any computers accessible over network.

R-Studio supports the TCP/IP protocol and any protocol supported in Microsoft Network.

R-Studio Agent must be installed on computers where files are to be recovered. This free service program gives R-Studio access to local disks on remote computers over network.

If, due to file system crash, the network computer where you are going to recover your data cannot start, you may use R-Studio Agent Emergency to start the computer.

Files can be recovered without R-Studio Agent if the computer where the files are to be recovered runs WinNT/2000/XP/2003 is accessible from a computer also running WinNT/2000/XP/2003. In this case, the administrator must have administrator privileges on the remote computer.

All data transmitted over network are encrypted with a strong algorithm for data security. Restoring data over network is very much the same as that on a local computer.

· R-Studio Agent
· Data Recovery over Network

Introduction to R-Studio

Technical Information and Troubleshooting

R-Studio Emergency

R-Studio Agent Emergency


Data Recovery over Network

Generally, data restoring over network is very much the same as that on a local computer.

R-Studio Agent should be running on the network computer where data are to be recovered.

To connect to a remote computer

 Click the Connect to Remote button or select Connect To Remote on the Drive menu

A list of nearby computers will appear in the Computer List on the Connect to Remote Computer dialog box.

Connect to Remote Computer dialog box

‚ Select a computer from the list on the Connect to Remote Computer dialog box and enter the password

Otherwise, you need to specify in the Computer: field the name or IP address of the remote computer where data are to be recovered. The Port should coincide with the port specified for the R-Studio Agent.

The Password: field is for the password of R-Studio Agent running on the remote computer.

Note: If the remote computer is started with R-Studio Agent Emergency, leave this field blank.

Ü R-Studio will connect to the remote computer and show its hard drive and logical disk structure of the remote computer below the device/disk structure of your local computer

It can be processed the same way as that on a local computer.

When R-Studio connects to the remote computer, it check if R-Studio Agent is present and its password. If there is no R-Studio Agent installed, R-Studio may try to remotely install it. See the R-Studio Agent topic for details.

You may return to the disks/drives on your local computer by clicking the Open Local Drives button or selecting Open Local Drives on the Drive menu.


R-Studio Agent

R-Studio Agent should be installed on a network computer to enable R-Studio access to its drives. R-Studio Agent should be registered.

If, due to file system crash, the network computer where you are going to recover your data cannot start, you may use R-Studio Agent Emergency to start the computer.

Attention Windows NT/2000/XP/2003 users: R-Studio Agent should be installed under an administrator account.

When installed, R-Studio Agent starts automatically and runs as a service. To configure it, R-Studio Agent should be started again manually.

The following switches are available:
-? | evokes a help screen;
-install | installs R-Studio Agent as a service
-remove | removes R-Studio Agent services
-console | starts R-Studio Agent as a console application

Started without a switch, R-Studio Agent runs as a GUI application and its icon appears on the taskbar tray. In this mode, it can be configured and its log may be viewed.

Simply connect to the remote computer providing a desired password for R-Studio Agent in the Connect to Remote Computer dialog box. R-Studio checks if there is R-Studio Agent running on this computer. If not, a Can't connect... message will appear.

Click the Yes button, and R-Studio will remotely install R-Studio Agent.

Attention Windows NT/2000/XP/2003 users: R-Studio Agent may be remotely installed over a network from a computer running Windows NT/2000/XP/2003 to another computer running Windows NT/2000/XP/2003. To do so, you must have administrator accounts on both computers.

To access the R-Studio Agent main panel,

 Click its tray icon
Ü The main panel will appear. You may view its log

R-Studio Agent main panel

To configure R-Studio Agent,

 Right-click its tray icon and select Configure
‚ Specify required parameters on the Please configure R-Studio Agent dialog box and click the OK button

Please configure R-Studio Agent dialog box

R-Studio Agent Options
Password: | Enter a password to obtain access to this computer from a network.
Re-Enter: | Re-enter the password.
Accepted Protocols
Pipes | supported by Windows NT/2000/XP/2003 only. To improve security, this option should be disabled.
TCP/IP | supported by any network OS.
Port | port for incoming connections
Accepted IP Addresses
IP Address | specifies addresses from which this computer can be accessed.
Subnet Mask | specifies subnet mask of the network from which this computer can be accessed.
Ü R-Studio Agent will now run with the specified parameters


Technical Information and Troubleshooting

This chapter covers various technical issues and troubleshooting.

· IntelligentScan technology
· Data Recovery Issues
· R-Studio Switches
· Properties Tab

Introduction to R-Studio

Data Recovery Using R-Studio

R-Studio Emergency

R-Studio Agent Emergency


IntelligentScan Technology

R-Studio uses a unique IntelligentScan technology when it tries to recover the data on the area being scanned.

While scanning the selected area, R-Studio reads data directly from the disk, analyzes them, and tries to determine a record to which the data belong. The following record types are possible:

1. MBR record

2. NTFS Boot Sector record

3. FAT Boot Sector record

4. MFT record

5. NTFS Folder record

6. FAT record

7. FAT Folder record

8. Ext2FS SuperBlocks record

All these record types have different, but known, structure. Knowing valid values of record fields and relations between them for each record type, R-Studio determines a record type for the data. If such record type cannot be unambiguously determined, the data are assigned to the most probable record type. The same data can be assigned to several record types, with a certain probability for each assignment. A list of possible files is generated from these records.

R-Studio generates a record list for each record type. This list contains references to records assigned to a record type from the list with their assignment probability. The same data can be included into different record lists. Then R-Studio analyzes relations between elements in each list and between different lists, and generates a list of found partitions with their parameters, such as partition start point and probable size, file system type, cluster size, and existence probability.

Using the file list and partition list, R-Studio reconstructs file systems and files on the found partitions. One file can be attributed to several different partitions.

When the entire disk or its part has been scanned, R-Studio shows all found partitions. Then the parameters of the found partitions may be manually corrected, if additional information on them is available.

Using the IntelligentScan technology, R-Studio can recover files not only on new and existing partitions. It also can find and recover data on partitions that have been deleted or reformatted. If, for example, there was an NTFS partition, which later was reformatted as a FAT partition, R-Studio will show two partitions on the same place on the disk, one having the FAT file system, the other the NTFS. Then, found files can be recovered.

The IntelligentScan technology makes R-Studio a very powerful data recovery tool, but it is not omnipotent. As it uses probabilistic approach to data reconstruction, it cannot guarantee 100% correct results. Moreover, even if R-Studio has reconstructed data structure correctly, it is impossible to guarantee that all found files will be completely and correctly recovered, as new data may be already written over the old files. See the Data Recovery Issues topic for details.


Data Recovery Issues

NEVER TRY TO SAVE RECOVERED FILES/FOLDERS ON THE SAME LOGICAL DISK WHERE THEY RESIDE!!!

Or you may obtain unpredictable results and lose all your data.

R-Studio writes directly to a hard drive only when writing recovered data and from its hex editor, if writing is enabled. In all other actions, R-Studio only reads data and analyzes them, and never modifies data on the hard drives being analyzed.

Most operating systems use lazy-write. So, there is a time lag between file actions and actual changes on data on a hard drive. R-Studio analyzes data on hard drives only. That is why it does not always detects recent changes in data structure.

Most operating systems constantly write their service information on hard drives. Such writing is especially intensive during start-up and shut-down procedures. When an operating system deletes a file/folder, it treats the space where it has resided as empty and may write something in this place. If this happened, the file/folder and its parameters may be detected correctly, but its data may be lost.

Folder names like $$$Folder58448 on NTFS partitions mean that the folder has not been found on the drive but some references to it have been. For example, folders My documents, Work, Photos have been found and all they have one parent folder, whose description has not actually been found on the disk, so its name is unknown and therefore represented as $$$Folder58448. It may happen that the description of such folders was outside of the scan area, so try to enlarge the region or scan the entire hard drive. If that does not help, most likely that the description of the folder has been overwritten.

Folder names like $ROOT58448 on FAT partitions mean that some folders have been found, but they cannot be included into the folder structure for this FAT partition. Sometimes, such folders may contain other folder structures.

If you recover a file, and it appears that the file contains wrong data, try to do the following:

· Scan:

the logical disk, if the file has been just deleted.

the hard drive, if the data structure is damaged more seriously.

· Search for the file to be restored on all found partitions and try to recover it from all found partitions. Check each recovered file to ensure that it contains correct data. As soon as you found the partition from which the file is recovered correctly, use this partitions to recover all other deleted files.

If there are several deleted files to be restored, you should use a file larger than 2KB to select the required partition.

Cross-Linked Folders

Often R-Studio finds several FAT folder records that contain the same data. Such folders are called cross-linked. R-Studio marks such folders with an arrow mark:

R-Studio attributes the content of cross-linked folders to one folder called a target folder. When recovering, R-Studio places the content to the target folder.

To view the list of cross-linked folders,

 Right-click a cross-linked folder and select Cross Linked Folders on the shortcut menu
Ü A list of cross-linked folders will appear

You may go to any folder in this list by clicking it.

To find a target folder,

¡ Right-click a cross-linked folder and select Go Target on the shortcut menu, or

Select the cross-linked folder and select Goto Target on the File menu

If Go Target is gray, this folder is already the target folder.

To set the target folder manually,

¡ Right-click a cross-linked folder and select Set As Default Target on the shortcut menu, or

Select the cross-linked folder and select Set As Default Target on the File menu.

If Set As Default Target is gray, this folder is already the target folder.

Questionable Folders

Sometimes, R-Studio may find FAT records, which look like folders, but their content is invalid. For example, file names have invalid characters, date, time, and size, or other file attributes may look strange. Please note that R-Studio correctly recognizes localized names. R-Studio treats such records as folders, but does not analyze their content and structure. You can manually scan such folders, but results may be unpredictable. Usually, such scan reveals garbage.

R-Studio marks such folders with a question mark.

To re-scan an object,

¡ Right-click a questionable folder on the R-Studio's Folders panel and select Rescan on the shortcut menu, or

Select the questionable folder and select Rescan on the File menu.


R-Studio Switches

If there are problems in starting R-Studio and while working with it, you may use switches to avoid them.

The following switches are available:

-all_drives | Forces R-Studio to show all logical disks in the system. Normally R-Studio shows only local disks in the system. Some storage devices may pretend that they are not local disks.
-debug | Includes additional debug information. When this switch is used, an additional command Create FS Snapshot on the shortcut menu appears for an object with a file system. An FS Snapshot contains system data for the file system only (file descriptions without file contents). If a problem appears, this snapshot can be sent to R-Studio technical support to identify the problem. This switch greatly slows R-Studio. You may also turn this mode on by selecting Debug Mode on the Tools menu
-flush | Flushes the log file after each write to log operations. This switch is helpful when R-Studio locks and its log file remains in memory cache unwritten to a disk. This switch greatly slows R-Studio.
-log <filename> | Started with this switch, R-Studio writes its log into the specified file. If R-Studio locks and its log file remains in memory cache unwritten to a disk, use the -flush switch.
-mem <size in MB> | Sets memory usage limit in MB for R-Studio to reconstruct the file tree. When it exceeds the limit, a Too many files... message appears. You may temporally stop file listing and browse through found files. Then you can resume file listing. You also may skip this file section and continue file listing. Example: -mem 400 - sets the limit to 400 MB.
-no_ide_ext | Turns off the inquiry about extended information on HDDs in Wind9x/ME. This switch may be helpful if R-Studio returns information about HDDs incorrectly (detects HDD geometry incorrectly).
-no_int13 | Turns off the disc access through Int13 in Wind9x/ME. This switch may be helpful if the system operates incorrectly (detects HDD geometry incorrectly or lock the system).
-no_ios | Turns off the Wind9x/ME protected-mode I/O system. This switch may be helpful if this system operates incorrectly (detects HDD geometry incorrectly or lock the system).
-reset | R-Studio resets an HDD controller each time it reads a bad sector. This switch may be helpful if the controller locks after it attempts to read a bad sector, or returns incorrect data.
-safe | Disables automatic partition search on a hard drive, file system recognition on partitions, and other potentially problematic operations. In this mode, it is necessary to use Find partition command from the hard drive shortcut menu to manually find a partition.

If an unrecognized problem appears, start R-Studio with the -debug and -log <filename> switches, and send the log and screenshot of the R-Studio main panel to the R-Studio technical support:

R-Studio Technical Support Team is available 24 hours a day, seven days a week, and has an average response time less than 4 hours.


Properties Tab

Object size units

You may select the units in which the information on object sizes will be displayed.

To select the units

 Select Properties on the View menu
‚ Select the units in which you want to see object sizes.

You may select

Show as Bytes

Show as Sectors

Show as Bytes and Sectors

1.Basic information

This section shows basic information for a disk object.

More information...
Drive Type | Device/disk type and subtype. Current R-Studio version supports the following types: Disk, WORM, CDROM, Optical, Changer, Floppy, RAM Disk, LDM Partition, LDM Component, LDM Volume and subtypes: Device, OS File, Physical Drive, Mount Point, Partition, Volume Set, Mirror, Stripe Set, RAID5
Name | Device/disk name
Size | Device/disk size
Bus Type | Device/disk bus type. Can be: IDE/ATA, IDE/ATAPI, SCSI, Floppy, USB, 1394, SSA, FibreChannel, RAID, SMART, ABIOS

2.Information on hard drives and logical disks

This section shows available information on hard drives and logical disks. These properties depend on the drive/disk type and appear only when applicable. Under Windows NT/2000/XP/2003, an IDE drive/disk may be represented as a SCSI device, that is why the SCSI Address section appears under these OSes for those drives/disks.

More information...
OS object | Appears for image files under Windows 9x/ME and NT/2000/XP/2003, for drives/disks under Windows NT/2000/XP/2003 only. An object name used by OS to access the device/disk.
R-Studio driver | Driver names (both internal and OS) used to access this drive/disk.
Sector Size | Drive/disk sector size
Physical Drive Geometry | This section shows physical geometry for a hard drive. For a logical disk it shows the physical geometry for a hard drive where the logical disk resides
Cylinders |
Tracks Per Cylinder |
Sectors Per Track |
Sector Size |
Device Identification | This section shows vendor information for the drive/disk
Vendor |
Product |
Firmware |
Bus |
SCSI Address | This section shows SCSI information for the drive/disk
Port Number |
Path ID |
Target ID |
Lun |
Windows 9x/ME adds the following properties:
Int13 Drive Number | 128 for the first hard drive accessible through Int13, 129 for the second one, etc. 0...128 for drives and other devices accessible through a Windows 9x/ME protected mode driver, if their Int13 device option is disabled. R-Studio can use Int13 disk access, and for some drive types, like SCSI devices, Int13 access is preferable. You may consider enabling the Int13 device option in the Windows Device Manager for such devices.
Int13 Extension Version | Int13 Extension Version Support for hard drives. Extended Int13 support is necessary for large drives. If this property is zero, Extended Int13 is not supported, otherwise, it shows Extended Int13 standard version, the large, the better.

3.Properties controlling access to hard drives and logical disks

This section shows properties that control access (read and write) to hard drives and logical disks. They are set to their optimal values and should be altered only if access problems appear.

More information...
Drive Control |
Maximum transfer | Maximum data size that can be read or written during a single access to the drive. If there are problems with drive access, decrease the value of this property
I/O Unit | Data size read or written during a single access to the drive is a multiple value of this property. If there are problems with drive access, decrease the value of this property
Buffer Alignment | Drive data transfer buffer is positioned at an address multiple value of this property. If there are problems with drive access, increase the value of this property.
These three properties are set by OS drivers. If the drivers set incorrect values, problems may appear during data transfer operations. You can alter them until data transfer becomes stable.
I/O Tries | Number of read/write tries during access to the drive. If there are bad sectors on the drive, increase the value of this property. This may help to successfully read those sectors. Sometimes, if the I/O Tries parameter is set too large and there are some unreadable sectors on the hard drive, the hard drive-controller pair may refuse to perform any successive read/write operations with the entire hard drive when it fails to read/write such sectors. In this case, set this parameter to zero.

4.Partition properties

A partition is a continuous area on a hard drive, characterized by its offset and size. There are partitions on basic disks, dynamic disks, and recognized volumes and partitions. R-Studio treats regions like partitions.

More information...
Partition Offset | Initial offset for the partition.
Partition Size | Size of the partition.
Partition Type | File system type for the partition. If the record in the drive partition table is incorrect, this property may differ from the actual file system type for this partition. Still, R-Studio will process this partition correctly, as it does not use this property.
Partition number | Appears under WinNT/2000/XP/2003 only. Shows the number of the partition on the physical drive.
For regions and recognized partitions, Partition Offset and Partition Type properties can be manually corrected.

5.Compound volume properties

A compound volume is a union of several partitions or other disk objects. Each union type has its own rules, unique for each compound volume type. Among compound volumes are: Volume Sets (RAIDs Level 0), Mirrors (RAIDs Level 1), RAIDs5 (RAIDs Level 5), both physical and created by the user (Virtual Volume Sets, Virtual Stripe Sets, Virtual Mirrors, Virtual RAID5).

More information...

Main properties of compound volumes are parents (disk objects from which a compound volume is created) and their order. These properties may be viewed in the Parents tab. For user-created compound volumes these properties may be altered.

Raid Block Size

Data block size for compound volumes of RAID (Level 0-5) types

6.LDM disks and volumes (Dynamic Disks)

LDM disks and volumes are volumes controlled by Logical Disk Manager (LDM). They are represented on a hard drive as a LDM database rather than partition tables. Under Windows 2000/XP/2003, LDM disks are also called Dynamic Disks.

More information...
Offset of Logical Disk | Initial offset of a logical disk on a hard drive. For disks, initially formatted by LDM, this value is often 31.5KB, for converted disks, it may be larger.
Supposed Parents Count | Supposed number of parent partitions for compound LDM volumes. If the LDM database is not damaged, the value of this property must be equal to the number of parent objects in the Parents tab for the disk object.
LDM Host GUID | Global Unique Identifier of a computer system where this LDM disk group has been created.
LDM DiskGroup GUID | Global Unique Identifier of the LDM disk group.
LDM Disk GUID | Global Unique Identifier of the hard drive.
LDM Volume GUID | Global Unique Identifier of the volume.
LDM Disk ID | Local hard drive Identifier, unique within this LDM disk group.
LDM Partition ID | Local partition Identifier, unique within this LDM disk group.
LDM Component ID | Local component Identifier, unique within this LDM disk group.
LDM Volume ID | Local volume Identifier, unique within this LDM disk group.
LDM Disk AltName | Additional Alternative Name given by LDM to the hard drive.
LDM Disk DriveHint | Last name of the volume, under which is has been mounted in the system. May be either a letter (C:, D:, etc.), or a mount point under Windows 2000/XP/2003.

7.File System Volume properties

A File System (FS) volume is a disk object where a certain, supported by R-Studio, file system is present. There are two FS volume types: FS volume on a regular disk object and a recognized volume, found by a scan process. FS volume properties depend on volume's file system and type.

7.1.NTFS Volume properties

These properties are present for all NTFS volumes and represent their main properties. For recognized volumes, these values can be altered.

More information...
NTFS Information | Regular volumes
Recognized NTFS | Recognized volumes
Cluster Size | Cluster size for the NTFS volume.
MFT record size | Size of one MFT record describing one file on the NTFS volume. This is an important property of any NTFS volume. Its common value is 1KB. If this property has incorrect value, many files may be incorrectly recovered.
Sector Size | Sector size for the physical drive. This property is read from the boot sector of the NTFS volume and does not affect R-Studio operation.
Index Block Size | Index block size for the NTFS volume. This property determines binary trees used to store NTFS folder structure. It does not affect R-Studio operation.
MFT position | MFT offset from the start of the NTFS volume.
MFT Mirror Position | Second MFT copy offset from the start of the NTFS volume.
Volume size | Size of the NTFS volume. This property does not affect R-Studio operation.

7.2.FAT Volume properties

These properties are present for all FAT volumes and represent their main properties. For recognized volumes, these values can be altered.

More information...
FAT Information | Regular volumes
Recognized FAT | Recognized volumes
FAT Bits (12,16,32) | FAT type. 12 for the FAT12, 16 for the FAT16, 32 for the FAT32.
Cluster Size | Cluster size for the FAT volume.
First Cluster Offset | Offset of the first cluster from the start of the FAT volume.
Boot Directory Cluster | (For FAT32 only.) Cluster number where the root directory starts on the FAT volume where the logical disk resides.
Root Directory Offset | (For FAT12 and 16 only.) Root directory offset from the start of the FAT volume.
Root Directory Length | (For FAT12 and 16 only.) Root directory length for the FAT volume.
First FAT Offset | Offset for the first FAT table on the volume. Together with the Size of One Fat Table property, is a most important property for a FAT volume. If this property is incorrect, many files (especially fragmented ones) may be incorrectly recovered.
Size of One FAT Table | Size of one FAT table on the volume.
Sector Size | Sector size of the hard drive. This property is read from the boot sector of the FAT volume and does not affect R-Studio operation.
Number of FAT Copies | Number of FAT copies on the FAT volume.
Active FAT copy | Active FAT table number for the FAT volume. Can be set to Disabled, Auto, 1, or 2. If it is Disabled, R-Studio processes the volume as there is no FAT table present. This may be useful if the volume has been reformatted and thus a new FAT table is created and the old one is deleted. In this case, it is reasonable to recover files from the previous volume without processing the new and irrelevant FAT table. All files will be recovered as continuous byte chains beginning from their start cluster. Unfragmented files will be recovered successfully. If it is 1 or 2, R-Studio uses the first or second FAT table copy, respectively. If it is Auto, R-Studio uses both FAT table copies and decides, which FAT table copy should be used for a particular FAT table sector. This may be useful when both FAT tables are partially damaged.
Major version | FAT version.
Minor version | FAT minor version.
Volume size | Size of the volume.

7.3.Ext2FS Volume properties

These properties are present for all Ext2FS volumes and represent their main properties. For recognized volumes, these values can be altered.

More information...
Ext2FS Information | Regular volumes
Recognized Ext2FS | Recognized volumes
Block Size | Block size of Ext2FS file system. A block in the Ext2FS file system is similar to a cluster in the FAT file system.
First SuperBlock Offset | Offset of the first SuperBlock from the start of the Ext2FS volume.
Blocks Per Volume | Number of blocks in the Ext2FS volume.
INodes Per Volume | Number of inodes on the Ext2FS volume. An inode is a record describing file's size, attributes, position on an Ext2FS volume - all information about a file, except its name, which is stored separately. Therefore, the INodes Per Volume parameter is equal to the maximum number of files on an Ext2FS volume.
Creator OS | The OS that created this Ext2FS volume. May be Linux, Hurd, Masix, FreeBSD, Lites.
Major version | Ext2FS version. Usually 1.
Minor version | Ext2FS minor version. Usually 0.
Last Mount Time | Last mount time for this Ext2FS volume.
Last Write Time | Last write time for this Ext2FS volume.
Last Check Time | Last check time for this Ext2FS volume.
Volume size | Size of the volume.

7.4.Recognized Volume properties

These properties are present for all recognized volumes, regardless of their file system type. They estimate how reliable those volumes are recognized. This is useful for fast search for, and selection of, optimally recognized volume to recover.

More information...
Parsed File Entries | Number of files proving that this recognized volume existed. May have any non-negative values. The main property characterizing the reliability of volume recognition. The larger it, the higher probability that this recognized volume has file system properties that have been correctly found.
Parsed Boot Records | Number of boot records proving that this recognized volume existed. May be 0 or 1. This is the second important property characterizing the reliability of volume recognition.
Estimated Size | Estimated size of the recognized FS partition/volume. This property shows the most probable size of the recognized FS partition/volume. Alternatively, Size and Partition Size are set to the highest possible values in order to recover the maximum number of files.


R-Studio Emergency

R-Studio Emergency is a tool that allows you to startup a computer with a damaged startup disk and recover data stored on its hard drives. Then restored data can either be saved on its disk or transferred to a working computer via a network.

The R-Studio Emergency version is a part of the R-Studio software package.

You may run this R-Studio Emergency version on a computer for which you have bought an R-Studio license, and you may not transfer the licensed software to another computer.

R-Studio Emergency

Contact Information and Technical Support

Installing R-Studio Emergency Startup Media Creator

Creating Startup Disks

R-Studio Emergency Operation

Starting a Computer with the R-Studio Emergency Startup Disks

File Recovery

Searching for a File

Disk Scan

Disk Images

Technical Information

Network Drives

Properties and Text/Hexadecimal Viewer

Log

Hardware Compatibility List


Contact Informaiton and Technical Support

Contact Information and Technical Support

To obtain the latest version of R-Studio Emergency, go to:

Product Site: http://www.r-tt.com

Sales Department: sales@r-tt.com

R-Studio Technical Support Team is available 24 hours a day, seven days a week, and has an average response time less than 4 hours.

Tech. Support: support@r-tt.com

Send your support request to: http://www.r-tt.com/Support_request.html


Installing R-Studio Emergency Startup Media Creator

Attention Windows NT/2000/XP/2003 users! You must have administrative privileges to install R-Studio Emergency Startup Media Creator.

If you are not sure whether you have such privileges, you almost certainly do not have them. Contact your system administrator for assistance.

1. Run the setup file.
2. Follow the on-screen instructions.

You may create startup disks even before the installation ends.


Creating Startup Disks

You need to create either 2 special startup floppy disks or a startup CD disc

Check the Hardware Compatibility List.

To create a startup CD disc:

 Run R-Studio Emergency
‚ Select ISO Image for a startup CD on the R-Studio Emergency Startup Media Creator dialog box and click the Next button

R-Studio Emergency Startup Media Creator dialog box

ƒ Read the License Agreement and the R-Studio Emergency Activation dialog box and click the Next button

R-Studio Emergency Activation dialog box

„ Select a place and file name for the ISO image of the startup CD and click the Save button
Ü When R-Studio Emergency Startup Media Creator finishes writing the file with the ISO image, the R-Studio Emergency Startup Media Creation is Finished message will appear

You may either exit R-Studio Emergency Startup Media Creator by clicking the Finish button or create another startup media by clicking the Next button.

R-Studio Emergency Startup Media Creation is Finished dialog box

… Create the startup CD using your favorite CD creation software

Load the created ISO image into the CD creation software. Consult documentation for the software for details.

To create 2 floppy disks:

You will need 2 formatted floppy disks.

 Run R-Studio Emergency
‚ Select Floppy Disk for 2 startup floppy disks on the R-Studio Emergency Startup Media Creator dialog box and click the Next button
ƒ Read the License Agreement and the R-Studio Emergency Activation dialog box and click the Next button
„ Insert the first floppy disk and click the Next button on the Insert floppy dialog box

Insert floppy dialog box

Ü R-Studio Emergency Startup Media Creator will start creating the first startup floppy disk showing the progress on the Creating startup media dialog box

Creating startup media dialog box

… Insert the second floppy disk and click the OK button when the Please insert formatted diskette #2 into drive A: message will appear
Ü When R-Studio Emergency Startup Media Creator finishes creating the second startup floppy disk, the R-Studio Emergency Startup Media Creation is Finished message will appear

You may either exit R-Studio Emergency Startup Media Creator by clicking the Finish button or create another startup media by clicking the Next button.

R-Studio Emergency Startup Media Creation is Finished message


R-Studio Emergency Operation

Starting a Computer with the R-Studio Emergency Startup Disks

File Recovery

Searching for a File

Disk Scan

Disk Images

Technical Information

Properties and Text/Hexadecimal Viewer

Network Drives

Log

Hardware Compatibility List

R-Studio Emergency

Contact Information and Technical Support

Installing R-Studio Emergency Startup Media Creator

Creating Startup Disks


Starting a Computer with the R-Studio Emergency Startup Disks

We recommended that you print out this help page and have the hardcopy on hand while you are performing this action.

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the Hardware Compatibility List.

If you plan to use any external device, turn it on before starting the system.

If the motherboard in your computer supports the Serial ATA (SATA) devices, but IDE disks are also present, only the SATA devices should be set to the Enhanced Mode in BIOS.

To start the computer with the R-Studio Emergency startup CD disc,

 Make sure that the first startup device in the system BIOS is the CD drive

Refer to your system documentation for details.

‚ Insert the R-Studio Emergency startup CD disc and start your computer
Ü R-Studio Emergency will start and its Device/Disk panel will appear

To start the computer with the R-Studio Emergency startup floppy disks,

 Make sure that the first startup device in the system BIOS is A (Floppy)

Refer to your system documentation for details.

‚ Insert the first startup floppy disk and start your computer
Ü The following text will appear on the screen:

Loading

Uncompressing ... OK, starting the kernel

VFS: Insert the second boot disk and press ENTER
ƒ Insert the second disk and press ENTER.
Ü R-Studio Emergency will start and its Device/Disk panel will appear


File Recovery

You may save recovered files only on FAT/FAT32 partitions or network drives

To recover files,

 Select a partition on the Device/Disk panel on which the files to recover reside and press the Enter key
Ü R-Studio will change its panel showing the disk's folders/files structure
‚ Select the file to recover on the Files View panel. Use the Tab key to switch between panes
ƒ Press the F2 key and specify the output folder on the Recover dialog box

Searching for a File

Mapping Network Drives

Viewing object properties


Searching for a File

To search for a file,

 Select Find on the Tools menu (or press the Alt+F key)
‚ Specify a file name or mask

Look at dialog box

Deleted files: | If it is selected, R-Studio makes a search among deleted files/folders.
Existing files: | If it is selected, R-Studio makes a search among existing files/folders.
Files: | If it is selected, R-Studio includes files into a search.
Folders: | If it is selected, R-Studio includes folders into a search.

To find the next file corresponding to the specified file mask,

¡ Press the Alt+N key


Disk Scan

To scan an object

 Select an object on the Device/Disk panel and press the F6 key
‚ Specify the required parameters on the Scan dialog box and press the Enter key

Scan dialog box

Start: | Sets the start point of the area to be scanned.
Size: | Sets the size of the area to be scanned.
Numbers in these fields can be in bytes or sectors. If no letters are after the numbers, R-Studio assumes the numbers in bytes. The following case-ignoring notation is possible:
b kb mb gb tb | Bytes Kilobytes Megabytes Gigabytes Terabytes
Ü When an object is scanned, it may be searched for files, and found files may be recovered the same way as for a regular object

Found objects:

Extra Found Files | Entries of known file types have been found
Recognized1 | Records and file entries are found for this partition
Recognized2 | Only file entries are found for this partition
Recognized3 | Only boot records are found for this partition

To save scan information

You may save files with scan information only on FAT/FAT32 partitions or network drives

 Select an object with scan information
‚ Press the Alt+D key and select Save Scan Information on the Drive menu
ƒ Specify the output folder and file name on the Save Scan Information dialog box

Mapping Network Drives

To open scan information

 Select an object to which scan information is to be opened
‚ Press the Alt+D key and select Open Scan Information on the Drive menu
ƒ Specify the folder and file name with the scan information on the Open Scan Information dialog box

Mapping Network Drives

To delete scan information

 Select an object to which scan information is to be deleted
ƒ Press the Alt+D key and select Delete Scan Information on the Drive menu


Disk Images

To create an image file

You may save image files only on FAT/FAT32 partitions or network drives

 Select an object on the Device/Disk panel
‚ Press the Alt+D key and select Create Plain Image File or Create Compressed Image File on the Drive menu
Plain Image | If this option is selected, R-Studio will create a simple exact copy of the object. This image format is compatible with the previous versions of R-Studio.
Compressed Image | If this option is selected, R-Studio will create an image file compatible with the images created by R-Drive Image, but incompatible with the previous versions of R-Studio.
ƒ Specify the output folder and file name on the Create Image File dialog box

Mapping Network Drives

To load an image file

 Press the Alt+D key and select Open Image File on the Drive menu
‚ Specify the folder and file name with the image on the Open Image File dialog box

Mapping Network Drives


R-Studio Emergency Technical Information

Network Drives

Properties and Text/Hexadecimal Viewer

Log

R-Studio Emergency

Contact Information and Technical Support

Installing R-Studio Emergency Startup Media Creator

Creating Startup Disks

R-Studio Emergency Operation

Starting a Computer with the R-Studio Emergency Startup Disks

File Recovery

Searching for a File

Disk Scan

Disk Images

Hardware Compatibility List


Properties and Text/Hexadecimal Viewer

To view object properties,

 Select an object
‚ Press the F7 key

To view an object

 Select an object
‚ Press the F3 key
Ü Press the F6 key to view and select file attributes

Press the Esc key to close the viewer.


Network Drives

To map a network drive,

 On a dialog box with Map Network Drive, press the Alt+M key
Ü The Querying DHCP message will appear

If the network has a DHCP server, the computer will obtain an IP address automatically. A list of adapters and their IP addresses will appear on the Network Adapters dialog box.

If the network does not have a DHCP server, select a network adapter on the Network Adapters dialog box and press the F4 key. Enter the IP address and network mask and press the Enter button.

‚ Select a configured network adapter and press the Enter key
ƒ Enter the required information on the Map Network Drive message message
Server IP Address: | IP address of the computer where the network drive is to reside.
Server Share Name: | Name of the shared folder where the network drive is to reside.
Login: | Username of a user on the computer where the network drive is to reside.
Password: | User's password on the computer where the network drive is to reside.
Ü The mounted network disk will appear

To disconnect a mounted network drive

 Select a mounted network drive
‚ Switch to the Disconnect button and press the Enter key


Log

To clear log information

¡ Select Clear Log on the Tools menu

To save log information to a file

You may save files with log information only on FAT/FAT32 partitions or network drives

¡ Select Save Log To File on the Tools menu


R-Studio Emergency Hardware Compatibility List

R-Studio Emergency supports the following hardware devices:

(*: Only in the CD version)

Data Storage Devices

Block devices

Normal floppy disk

Compaq SMART2

Compaq Smart Array 5xxx

Mylex DAC960/DAC1100 PCI RAID Controller *

Promise SATA SX8 *

USB support

USB 2.0

USB Mass Storage

ATA/ATAPI/MFM/RLL

Generic ATA/ATAPI/MFM/RLL/ATA-2

OPTi 82C621 chipset enhanced *

AEC62XX chipset *

ALI M15x3 chipset *

AMD and nVidia IDE

ATI IXP chipset IDE *

CMD64{3|6|8|9} chipset *

Compaq Triflex IDE *

CY82C693 chipset *

Cyrix CS5510/20 MediaGX chipset *

Cyrix/National Semiconductor CS5530 MediaGX chipset *

HPT34X chipset *

HPT36X/37X chipset *

National SCx200 chipset *

Intel PIIXn chipsets

NS87415 chipset *

PROMISE PDC202{46|62|65|67}

PROMISE PDC202{68|69|70|71|75|76|77}

ServerWorks OSB4/CSB5/CSB6 chipsets *

Silicon Image chipset

SiS5513 chipset *

SLC90E66 chipset *

Tekram TRM290 chipset *

VIA82CXXX chipset *

SCSI low-level drivers

3ware 5/6/7/8xxx ATA-RAID *

3ware 9xxx SATA-RAID *

7000FASST SCSI *

ACARD SCSI *

Adaptec AHA152X/2825 *

Adaptec AHA1542 *

Adaptec AACRAID

Adaptec AIC7xxx Fast -> U160

Adaptec AIC7xxx *

Adaptec AIC79xx U320

Adaptec I2O RAID *

Always IN2000 SCSI *

LSI Logic Management Module *

LSI Logic MegaRAID Driver *

AHCI SATA *

ServerWorks Frodo / Apple K2 SATA *

Intel PIIX/ICH SATA *

NVIDIA SATA *

Promise SATA TX2/TX4 *

Pacific Digital SATA QStor *

Promise SATA SX4 *

Silicon Image SATA *

SiS 964/180 SATA *

ULi Electronics SATA *

VIA SATA *

VITESSE VSC-7174 SATA *

BusLogic SCSI

DMX3191D SCSI *

DTC3180/3280 SCSI *

EATA ISA/EISA/PCI (DPT and generic EATA/DMA-compliant boards) *

EATA-PIO (old DPT PM2001, PM2012A) *

Future Domain 16xx SCSI/AHA-2920A *

Intel/ICP (former GDT SCSI Disk Array) RAID Controller *

Generic NCR5380/53c400 SCSI PIO *

Generic NCR5380/53c400 SCSI MMIO *

IBM ServeRAID *

Initio 9100U(W) *

Initio INI-A100U2W *

NCR53c406a SCSI *

SYM53C8XX Version 2 SCSI

IBM Power Linux RAID adapter *

PAS16 SCSI *

PSI240i *

Qlogic FAS SCSI *

Qlogic ISP SCSI

Qlogic ISP FC SCSI

Qlogic QLA 1240/1x80/1x160 SCSI

QLogic ISP2100 host adapter family *

QLogic ISP2200 host adapter family *

QLogic ISP2300 host adapter family *

QLogic ISP2322 host adapter family *

QLogic ISP63xx host adapter family *

Symbios 53c416 SCSI *

Tekram DC395(U/UW/F) and DC315(U) SCSI *

Tekram DC390(T) and Am53/79C974 SCSI

Trantor T128/T128F/T228 SCSI *

UltraStor 14F/34F *

UltraStor SCSI *

Workbit NinjaSCSI-32Bi/UDE

IEEE 1394 (FireWire)

SBP-2 support (Harddisks etc.) *

Networking Devices

Ethernet (10 or 100Mbit)

Sun Happy Meal 10/100baseT *

Sun GEM *

3c501 `EtherLink` *

3c503 `EtherLink II` *

3c505 `EtherLink Plus` *

3c507 `EtherLink 16` *

3c509/3c529 (MCA)/3c569B (98)/3c579 `EtherLink III` *

3c515 ISA `Fast EtherLink` *

3c590/3c900 series (592/595/597) `Vortex/Boomerang` *

3cr990 series `Typhoon` *

AMD LANCE and PCnet (AT1500 and NE2100) *

WD80*3 *

SMC Ultra *

SMC 9194 *

NI5210 *

NI6510 *

Early DECchip Tulip (dc2104x) PCI *

DECchip Tulip (dc2114x) PCI *

Generic DECchip & DIGITAL EtherWORKS PCI/EISA *

Winbond W89c840 Ethernet *

Davicom DM910x/DM980x *

AT1700/1720/RE1000Plus(C-Bus) *

DEPCA, DE10x, DE200, DE201, DE202, DE422 *

HP 10/100VG PCLAN (ISA, EISA, PCI) *

Cabletron E21xx *

EtherExpress 16 *

EtherExpressPro support/EtherExpress 10 (i82595) *

HP PCLAN+ (27247B and 27252A) *

HP PCLAN (27245 and other 27xxx series) *

LP486E on board Ethernet *

ICL EtherTeam 16i/32 *

NE2000/NE1000 *

Zenith Z-Note *

SEEQ8005 *

AMD PCnet32 PCI *

AMD 8111 (new PCI lance) *

Adaptec Starfire/DuraLAN *

Ansel Communications EISA 3200 *

Apricot Xen-II on board Ethernet *

Broadcom 4400 ethernet *

Reverse Engineered nForce Ethernet *

CS89x0 *

Digi Intl. RightSwitch SE-X *

EtherExpressPro/100 *

Intel(R) PRO/100+ *

Myson MTD-8xx PCI Ethernet *

National Semiconductor DP8381x series PCI Ethernet *

PCI NE2000 and clones support (see help) *

RealTek RTL-8139 C+ PCI Fast Ethernet Adapter *

RealTek RTL-8139 PCI Fast Ethernet Adapter *

SiS 900/7016 PCI Fast Ethernet Adapter *

SMC EtherPower II *

Sundance Alta *

TI ThunderLAN *

VIA Rhine *

AT-LAN-TEC/RealTek pocket adapter *

D-Link DE600 pocket adapter *

D-Link DE620 pocket adapter *

Ethernet (1000 Mbit)

Alteon AceNIC/3Com 3C985/NetGear GA620 Gigabit *

D-Link DL2000-based Gigabit Ethernet *

Intel(R) PRO/1000 Gigabit Ethernet *

National Semiconduct DP83820 *

Packet Engines Hamachi GNIC-II *

Packet Engines Yellowfin Gigabit-NIC *

Realtek 8169 gigabit ethernet *

Marvell Yukon Chipset / SysKonnect SK-98xx Support *

VIA Velocity *

Broadcom Tigon3 *

Ethernet (10000 Mbit)

Intel(R) PRO/10GbE *

S2IO 10Gbe XFrame NIC *

Token Ring devices

IBM Tropic chipset based adapter *

IBM Olympic chipset PCI adapter *

IBM Lanstreamer chipset PCI adapter *

3Com 3C359 Token Link Velocity XL adapter *

SMC ISA/MCA adapter *

Wireless LAN

STRIP (Metricom starmode radio IP) *

Aironet Arlan 655 & IC2200 DS *

AT&T/Lucent old WaveLAN & DEC RoamAbout DS ISA *

Cisco/Aironet 34X/35X/4500/4800 ISA and PCI cards *

Hermes chipset 802.11b support (Orinoco/Prism2/Symbol) *

Hermes in PLX9052 based PCI adaptor support (Netgear MA301 etc.) *

Hermes in TMD7160 based PCI adaptor *

Prism 2.5 PCI 802.11b adaptor *

Atmel at76c50x chipset 802.11b *

Atmel at76c506 PCI cards *

USB Network Adapters

USB CATC NetMate-based Ethernet device *

USB KLSI KL5USB101-based ethernet device *

USB Pegasus/Pegasus-II based ethernet device *

USB RTL8150 based ethernet device *


R-Studio Agent Emergency

R-Studio Agent Emergency is a tool that allows you to start a network computer with a damaged startup disk and recover data stored on its hard drives. Then restored data can be transferred to a working computer via the network.

It works very simple: Just start the computer with the R-Studio Agent Emergency startup disk and, if necessary, manually configure a network interface for R-Studio Agent Emergency. When started, the computer and its hard drives can be accessed by R-Studio installed on another computer in the network.

Contact Information and Technical Support

Installing R-Studio Agent Emergency Startup Media Creator

Creating Startup Disks

Starting a Computer with the R-Studio Agent Emergency Startup Disk

Hardware Compatibility List

Disk Controllers

Network Cards


Contact Information and Technical Support

To obtain the latest version of R-Studio Agent Emergency, go to:

Product Site: http://www.r-tt.com

Sales Department: sales@r-tt.com

R-Studio Technical Support Team is available 24 hours a day, seven days a week, and has an average response time less than 4 hours.

Tech. Support: support@r-tt.com

Send your support request to: http://www.r-tt.com/Support_request.html


Installing R-Studio Agent Emergency Startup Media Creator

Attention Windows NT/2000/XP/2003 users! You must have administrative privileges to install R-Studio Agent Emergency Startup Media Creator.

If you are not sure whether you have such privileges, you almost certainly do not have them. Contact your system administrator for assistance.

1. Run the setup file.
2. Follow the on-screen instructions.

You may create startup disks even before the installation ends.


Creating Startup Disks

You need to create either 1 special startup floppy disk or a startup CD disc

Check the Hardware Compatibility List.

To create a startup CD disc:

 Run R-Studio Agent Emergency
‚ Select ISO Image for a startup CD on the R-Studio Agent Emergency Startup Media Creator dialog box and click the Next button

R-Studio Agent Emergency Startup Media Creator

ƒ Enter the registration information and number on the Registration dialog box and click the Next button

If you leave all the field blank, R-Studio Agent Emergency will work with the Demo-version limitations

Registration dialog box

„ Select a place and file name for the ISO image of the startup CD and click the Save button
Ü When R-Studio Bootable Startup Media Creator finishes writing the file with the ISO image, the R-Studio Agent Emergency Startup Media Creation is Finished message will appear

You may either exit R-Studio Bootable Startup Media Creator by clicking the Finish button or create another startup media by clicking the Next button.

R-Studio Agent Emergency Startup Media Creation is Finished dialog box

… Create the startup CD using your favorite CD creation software

Load the created ISO image into the CD creation software. Consult documentation for the software for details.

To create a floppy disk:

You will need 1 formatted floppy disk.

 Run R-Studio Agent Emergency
‚ Select Floppy Disk for the startup floppy disk on the R-Studio Agent Emergency Startup Media Creator dialog box and click the Next button
ƒ Enter the registration information and number on the Registration dialog box and click the Next button

If you leave all the field blank, R-Studio Agent Emergency will work with the Demo-version limitations

„ Insert the floppy disk and click the Next button on the Insert floppy dialog box

Insert floppy dialog box

Ü R-Studio Agent Emergency Startup Media Creator will start creating the startup floppy disk showing the progress on the Creating startup media dialog box

Creating startup media dialog box

When R-Studio Bootable Startup Media Creator finishes creating the startup floppy disk, the R-Studio Agent Emergency Startup Media Creation is Finished message will appear. You may either exit R-Studio Bootable Startup Media Creator by clicking the Finish button or create another startup media by clicking the Next button.

R-Studio Agent Emergency Startup Media Creation is Finished dialog box


Starting a Computer with the R-Studio Agent Emergency Startup Disk

We recommended that you print out this help page and have the hardcopy on hand while you are performing this action.

Before you start the computer you should be aware that your network has a DHCP server or you know the computer's IP address and network mask.

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the Hardware Compatibility List.

If you plan to use any external device, turn it on before starting the system.

If the motherboard in your computer supports the Serial ATA (SATA) devices, but IDE disks are also present, only the SATA devices should be set to the Enhanced Mode in BIOS.

To start the computer with the R-Studio Agent Emergency startup disks

 Make sure that the first startup device in the system BIOS is the device from which you plan to start your computer (a CD drive or A (Floppy))

Refer to your system documentation for details.

‚ Insert the R-Studio Agent Emergency startup CD disc or floppy disk and start your computer
Ü R-Studio Agent Emergency will start and its prompt will appear

-----------------------------------------------------------------

Booting R-Studio Emergency. Please wait...

Waiting 8 seconds for PCMCIA devices to settle

Booting R-Studio Agent Emergency. Now you may remove floppy.

-----------------------------------------------------------------

Querying DHCP to configure network interfaces...

Press ENTER within 10 seconds to configure them manually.

If your network has a DHCP server

The computer running R-Studio Agent Emergency will be assigned an IP address automatically

A prompt with a computer address will appear. You need to remember it to access the computer via network.

If your network does not have a DHCP server

You need to configure the interfaces and IP addresses manually.

1. A prompt to select an interface will appear. Enter the selected interface name and press Enter.

2. A prompt to enter its IP address and optional subnet mask will appear. Enter the IP address and optional subnet mask and press Enter.

3. A prompt to configure another interface or to finish configuring the interfaces will appear.

------------------------------------------------------------------

# Enter interface name or just press Enter to finish

#>

4. Press Enter to finish configuring the interfaces, or enter the name of the next interface to configure.

Ü R-Studio Agent Emergency will show a prompt that is ready to accept connections

* R-Studio Agent started and ready to accept connections...

Now the computer may be accessed by R-Studio via network.


R-Studio Agent Emergency Hardware Compatibility List

Disk Controllers

Network Cards

R-Studio Agent Emergency

Contact Information and Technical Support

Installing R-Studio Agent Emergency Startup Media Creator

Creating Startup Disks

Starting a Computer with the R-Studio Agent Emergency Startup Disk


Disk Controllers

R-Studio Agent Emergency is based on the FreeBSD 5.3 kernel and supports devices from the list published at http://www.freebsd.org/releases/5.3R/hardware-i386.html.

*: Supported in the floppy version

Disk controllers

IDE/ATA controllers ( ata driver) *

The adapters supported by the aic driver include:

Adaptec AHA-1505 (ISA)

Adaptec AHA-1510A, AHA-1510B (ISA)

Adaptec AHA-1520A, AHA-1520B (ISA)

Adaptec AHA-1522A, AHA-1522B (ISA)

Adaptec AHA-1535 (ISA)

Creative Labs SoundBlaster SCSI host adapter (ISA)

Adaptec AHA-1460, AHA-1460B, AHA-1460C, AHA-1460D (PC Card)

Adaptec AHA-1030B, AHA-1030P (PC98)

NEC PC-9801-100 (PC98)

The aha driver supports the following SCSI host adapters:

Adaptec AHA-154xB

Adaptec AHA-154xC

Adaptec AHA-154xCF

Adaptec AHA-154xCP

Adaptec AHA-1640

Adaptec AHA-174x in 154x emulation mode

DTC 3290 SCSI controller in 1542 emulation mode

Tekram SCSI controllers in 154x emulation mode

The ahb driver supports the following SCSI host adapters:

Adaptec AHA-1740

Adaptec AHA-1742

Adaptec AHA-1740A

Adaptec AHA-1742A

The ahc driver supports the following SCSI host adapter chips and SCSI controller cards:

Adaptec AIC7770 host adapter chip

Adaptec AIC7850 host adapter chip

Adaptec AIC7860 host adapter chip

Adaptec AIC7870 host adapter chip

Adaptec AIC7880 host adapter chip

Adaptec AIC7890 host adapter chip

Adaptec AIC7891 host adapter chip

Adaptec AIC7892 host adapter chip

Adaptec AIC7895 host adapter chip

Adaptec AIC7896 host adapter chip

Adaptec AIC7897 host adapter chip

Adaptec AIC7899 host adapter chip

Adaptec 274X(W)

Adaptec 274X(T)

Adaptec 284X

Adaptec 2910

Adaptec 2915

Adaptec 2920

Adaptec 2930C

Adaptec 2930U2

Adaptec 2940

Adaptec 2940J

Adaptec 2940N

Adaptec 2940U

Adaptec 2940AU

Adaptec 2940UW

Adaptec 2940UW Dual

Adaptec 2940UW Pro

Adaptec 2940U2W

Adaptec 2940U2B

Adaptec 2950U2W

Adaptec 2950U2B

Adaptec 19160B

Adaptec 29160B

Adaptec 29160N

Adaptec 3940

Adaptec 3940U

Adaptec 3940AU

Adaptec 3940UW

Adaptec 3940AUW

Adaptec 3940U2W

Adaptec 3950U2

Adaptec 3960

Adaptec 39160

Adaptec 3985

Adaptec 4944UW

NEC PC-9821Xt13 (PC-98)

NEC RvII26 (PC-98)

NEC PC-9821X-B02L/B09 (PC-98)

NEC SV-98/2-B03 (PC-98)

Many motherboards with on-board SCSI support

The ahd driver supports the following:

Adaptec AIC7901 host adapter chip

Adaptec AIC7901A host adapter chip

Adaptec AIC7902 host adapter chip

Adaptec 29320 host adapter

Adaptec 39320 host adapter

Many motherboards with on-board SCSI support

Controllers supported by the aac driver include:

Adaptec AAC-364

Adaptec SCSI RAID 2120S

Adaptec SCSI RAID 2130S

Adaptec SCSI RAID 2200S

Adaptec SCSI RAID 2410SA

Adaptec SCSI RAID 2810SA

Adaptec SCSI RAID 5400S

Dell CERC SATA RAID 2

Dell PERC 2/Si

Dell PERC 2/QC

Dell PERC 3/Si

Dell PERC 3/Di

Dell PERC 320/DC

HP NetRAID 4M

The adv driver supports the following SCSI controllers:

AdvanSys ABP510/5150

AdvanSys ABP5140

AdvanSys ABP5142

AdvanSys ABP902/3902

AdvanSys ABP3905

AdvanSys ABP915

AdvanSys ABP920

AdvanSys ABP3922

AdvanSys ABP3925

AdvanSys ABP930, ABP930U, ABP930UA

AdvanSys ABP960, ABP960U

AdvanSys ABP542

AdvanSys ABP742

AdvanSys ABP842

AdvanSys ABP940

AdvanSys ABP940UA/3940UA

AdvanSys ABP940U

AdvanSys ABP3960UA

AdvanSys ABP970, ABP970U

AdvanSys ABP752

AdvanSys ABP852

AdvanSys ABP950

AdvanSys ABP980, ABP980U

AdvanSys ABP980UA/3980UA

MELCO IFC-USP (PC-98)

RATOC REX-PCI30 (PC-98)

@Nifty FNECHARD IFC-USUP-TX (PC-98)

The adw driver supports SCSI controllers including:

AdvanSys ABP940UW/ABP3940UW

AdvanSys ABP950UW

AdvanSys ABP970UW

AdvanSys ABP3940U2W

AdvanSys ABP3950U2W

The bt driver supports the following BusLogic MultiMaster ``W'', ``C'', ``S'', and ``A'' series and compatible SCSI host adapters:

BusLogic BT-445C

BusLogic BT-445S

BusLogic BT-540CF

BusLogic BT-542B

BusLogic BT-542B

BusLogic BT-542D

BusLogic BT-545C

BusLogic BT-545S

BusLogic/BusTek BT-640

BusLogic BT-742A

BusLogic BT-742A

BusLogic BT-747C

BusLogic BT-747D

BusLogic BT-747S

BusLogic BT-757C

BusLogic BT-757CD

BusLogic BT-757D

BusLogic BT-757S

BusLogic BT-946C

BusLogic BT-948

BusLogic BT-956C

BusLogic BT-956CD

BusLogic BT-958

BusLogic BT-958D

Storage Dimensions SDC3211B / SDC3211F

AMI FastDisk Host Adapters that are true BusLogic MultiMaster clones are also supported by the bt driver.

The dpt driver provides support for the following RAID adapters:

DPT Smart Cache Plus

Smart Cache II (PM2?2?, PM2022 [EISA], PM2024/PM2124 [PCI]) (Gen2)

Smart RAID II (PM3?2?, PM3021, PM3222)

Smart Cache III (PM2?3?)

Smart RAID III (PM3?3?, PM3332 [EISA], PM3334UW [PCI]) (Gen3)

Smart Cache IV (PM2?4?, PM2042 [EISA], PM2044/PM2144 [PCI]) (Gen4)

Smart RAID IV

The adapters currently supported by the asr driver include the following:

Adaptec Zero-Channel SCSI RAID 2000S, 2005S, 2010S, 2015S

Adaptec SCSI RAID 2100S, 2110S

Adaptec ATA-100 RAID 2400A

Adaptec SCSI RAID 3200S, 3210S

Adaptec SCSI RAID 3400S, 3410S

Adaptec SmartRAID PM1554

Adaptec SmartRAID PM1564

Adaptec SmartRAID PM2554

Adaptec SmartRAID PM2564

Adaptec SmartRAID PM2664

Adaptec SmartRAID PM2754

Adaptec SmartRAID PM2865

Adaptec SmartRAID PM3754

Adaptec SmartRAID PM3755U2B / SmartRAID V Millennium

Adaptec SmartRAID PM3757

DEC KZPCC-AC (LVD 1-ch, 4MB or 16MB cache), DEC KZPCC-CE (LVD 3-ch, 64MB cache), DEC KZPCC-XC (LVD 1-ch, 16MB cache), DEC KZPCC-XE (LVD 3-ch, 64MB cache) -- rebadged SmartRAID V Millennium

The amr driver supports the following:

AMI MegaRAID 320-1

AMI MegaRAID 320-2

AMI MegaRAID 320-4X

AMI MegaRAID Series 418

AMI MegaRAID Enterprise 1200 (Series 428)

AMI MegaRAID Enterprise 1300 (Series 434)

AMI MegaRAID Enterprise 1400 (Series 438)

AMI MegaRAID Enterprise 1500 (Series 467)

AMI MegaRAID Enterprise 1600 (Series 471)

AMI MegaRAID Elite 1500 (Series 467)

AMI MegaRAID Elite 1600 (Series 493)

AMI MegaRAID Elite 1650 (Series 4xx)

AMI MegaRAID Express 100 (Series 466WS)

AMI MegaRAID Express 200 (Series 466)

AMI MegaRAID Express 300 (Series 490)

AMI MegaRAID Express 500 (Series 475)

Dell PERC

Dell PERC 2/SC

Dell PERC 2/DC

Dell PERC 3/DCL

Dell PERC 3/QC

Dell PERC 4/Di

HP NetRAID-1/Si

HP NetRAID-3/Si (D4943A)

HP Embedded NetRAID

Note: Booting from these controllers is supported. EISA adapters are not supported.

Controllers supported by the mlx driver include:

Mylex DAC960P

Mylex DAC960PD / DEC KZPSC (Fast Wide)

Mylex DAC960PDU

Mylex DAC960PL

Mylex DAC960PJ

Mylex DAC960PG

Mylex DAC960PU / DEC PZPAC (Ultra Wide)

Mylex AcceleRAID 150 (DAC960PRL)

Mylex AcceleRAID 250 (DAC960PTL1)

Mylex eXtremeRAID 1100 (DAC1164P)

RAIDarray 230 controllers, aka the Ultra-SCSI DEC KZPAC-AA (1-ch, 4MB cache), KZPAC-CA (3-ch, 4MB), KZPAC-CB (3-ch, 8MB cache)

All major firmware revisions (2.x, 3.x, 4.x and 5.x) are supported, however it is always advisable to upgrade to the most recent firmware available for the controller. Compatible Mylex controllers not listed should work, but have not been verified.

Note: Booting from these controllers is supported. EISA adapters are not supported.

Controllers supported by the mly driver include:

Mylex AcceleRAID 160

Mylex AcceleRAID 170

Mylex AcceleRAID 352

Mylex eXtremeRAID 2000

Mylex eXtremeRAID 3000

Compatible Mylex controllers not listed should work, but have not been verified.

The twe driver supports the following ATA RAID controllers:

AMCC's 3ware 5000 series

AMCC's 3ware 6000 series

AMCC's 3ware 7000-2

AMCC's 3ware 7006-2

AMCC's 3ware 7500-4LP

AMCC's 3ware 7500-8

AMCC's 3ware 7500-12

AMCC's 3ware 7506-4LP

AMCC's 3ware 7506-8

AMCC's 3ware 7506-12

AMCC's 3ware 8006-2LP

AMCC's 3ware 8500-4LP

AMCC's 3ware 8500-8

AMCC's 3ware 8500-12

AMCC's 3ware 8506-4LP

AMCC's 3ware 8506-8

AMCC's 3ware 8506-8MI

AMCC's 3ware 8506-12

AMCC's 3ware 8506-12MI

The twa driver supports the following PATA/SATA RAID controllers:

AMCC's 3ware 9500S-4LP

AMCC's 3ware 9500S-8

AMCC's 3ware 9500S-8MI

AMCC's 3ware 9500S-12

AMCC's 3ware 9500S-12MI

The ncr driver provides support for the following NCR/Symbios SCSI controller chips:

53C810

53C810A

53C815

53C820

53C825A

53C860

53C875

53C875J

53C885

53C895

53C895A

53C896

53C1510D

The following add-on boards are known to be supported:

I-O DATA SC-98/PCI (PC-98)

I-O DATA SC-PCI (PC-98)

The sym driver provides support for the following Symbios/LSI Logic PCI SCSI controllers:

53C810

53C810A

53C815

53C825

53C825A

53C860

53C875

53C876

53C895

53C895A

53C896

53C897

53C1000

53C1000R

53C1010-33

53C1010-66

53C1510D

The SCSI controllers supported by sym can be either embedded on a motherboard, or on one of the following add-on boards:

ASUS SC-200, SC-896

Data Technology DTC3130 (all variants)

DawiControl DC2976UW

Diamond FirePort (all)

I-O DATA SC-UPCI (PC-98)

Logitec LHA-521UA (PC-98)

NCR cards (all)

Symbios cards (all)

Tekram DC390W, 390U, 390F, 390U2B, 390U2W, 390U3D, and 390U3W

Tyan S1365

The following devices are currently supported by the ncv driver:

I-O DATA PCSC-DV

KME KXLC002 (TAXAN ICD-400PN, etc.), KXLC004, and UJDCD450

Macnica Miracle SCSI-II mPS110

Media Intelligent MSC-110, MSC-200

NEC PC-9801N-J03R

New Media Corporation BASICS SCSI

Qlogic Fast SCSI

RATOC REX-9530, REX-5572 (SCSI only)

Controllers supported by the stg driver include:

Adaptec 2920/A

Future Domain SCSI2GO

Future Domain TMC-18XX/3260

IBM SCSI PCMCIA Card

ICM PSC-2401 SCSI

MELCO IFC-SC

RATOC REX-5536, REX-5536AM, REX-5536M, REX-9836A

Note that the Adaptec 2920C is supported by the ahc driver.

Cards supported by the isp driver include:

ISP1000

PTI SBS440

ISP1020

ISP1040

PTI SBS450

Qlogic 1240

Qlogic 1020

Qlogic 1040

Qlogic 1080

Qlogic 1280

Qlogic 12160

Qlogic 2100

Qlogic 2102

Qlogic 2200

Qlogic 2202

Qlogic 2204

Qlogic 2300

Qlogic 2312

PTI SBS470

Antares P-0033

Controllers supported by the amd driver include:

MELCO IFC-DP (PC-98)

Tekram DC390

Tekram DC390T

Controllers supported by the nsp driver include:

Alpha-Data AD-PCS201

I-O DATA CBSC16

Adaptec AIC-7110 Parallel to SCSI interfaces ( vpo driver)

The following controllers are supported by the ida driver:

Compaq SMART Array 221

Compaq Integrated SMART Array Controller

Compaq SMART Array 4200

Compaq SMART Array 4250ES

Compaq SMART 3200 Controller

Compaq SMART 3100ES Controller

Compaq SMART-2/DH Controller

Compaq SMART-2/SL Controller

Compaq SMART-2/P Controller

Compaq SMART-2/E Controller

Compaq SMART Controller

Controllers supported by the ciss driver include:

Compaq Smart Array 5300

Compaq Smart Array 532

Compaq Smart Array 5i

HP Smart Array 5312

HP Smart Array 6i

HP Smart Array 641

HP Smart Array 642

HP Smart Array 6400

HP Smart Array 6400 EM

HP Smart Array 6422

HP Smart Array V100

HP Modular Smart Array 20 (MSA20)

HP Modular Smart Array 500 (MSA500)

Controllers supported by the iir driver include:

Intel RAID Controller SRCMR

Intel Server RAID Controller U3-l (SRCU31a)

Intel Server RAID Controller U3-1L (SRCU31La)

Intel Server RAID Controller U3-2 (SRCU32)

All past and future releases of Intel and ICP RAID Controllers.

Intel RAID Controller SRCU21 (discontinued)

Intel RAID Controller SRCU31 (older revision, not compatible)

Intel RAID Controller SRCU31L (older revision, not compatible)

The SRCU31 and SRCU31L can be updated via a firmware update available from Intel.

Promise SuperTrak ATA RAID controllers (pst driver)

The hptmv driver supports the HighPoint RocketRAID 182x SATA controllers.

Controllers supported by the ips driver include:

IBM ServeRAID 3H

ServeRAID 4L/4M/4H

ServeRAID Series 5

ServeRAID 6i/6M

The following controllers are supported by the mpt driver:

LSI Logic 53c1030 (Dual Ultra320 SCSI)

LSI Logic FC909 (1Gb/s Fibre Channel)

LSI Logic FC909A (Dual 1Gb/s Fibre Channel)

LSI Logic FC919 (2Gb/s Fibre Channel)

LSI Logic FC929 (Dual 2Gb/s Fibre Channel)

The SCSI controller chips supprted by the mpt driver can be found onboard on many systems including:

Dell PowerEdge 1750

IBM eServer xSeries 335

SCSI controllers supported by the trm driver include:

Tekram DC-315 PCI Ultra SCSI adapter without BIOS and internal SCSI connector

Tekram DC-315U PCI Ultra SCSI adapter without BIOS

Tekram DC-395F PCI Ultra-Wide SCSI adapter with flash BIOS and 68-pin external SCSI connector

Tekram DC-395U PCI Ultra SCSI adapter with flash BIOS

Tekram DC-395UW PCI Ultra-Wide SCSI adapter with flash BIOS

Tekram DC-395U2W PCI Ultra2-Wide SCSI adapter with flash BIOS

For the Tekram DC-310/U and DC-390F/U/UW/U2B/U2W/U3W PCI SCSI host adapters, use the sym driver.

The wds driver supports the WD7000 SCSI controller.


Network Cards

R-Studio Agent Emergency is based on the FreeBSD 5.3 kernel and supports devices from the list published at http://www.freebsd.org/releases/5.3R/hardware-i386.html.

*: Supported in the floppy version

Ethernet NICs

Adapters supported by the sf driver include:

ANA-62011 64-bit single port 10/100baseTX adapter

ANA-62022 64-bit dual port 10/100baseTX adapter

ANA-62044 64-bit quad port 10/100baseTX adapter

ANA-69011 32-bit single port 10/100baseTX adapter

ANA-62020 64-bit single port 100baseFX adapter

The ti driver supports Gigabit Ethernet adapters based on the Alteon Tigon I and II chips. The ti driver has been tested with the following adapters:

3Com 3c985-SX Gigabit Ethernet adapter (Tigon 1)

3Com 3c985B-SX Gigabit Ethernet adapter (Tigon 2)

Alteon AceNIC V Gigabit Ethernet adapter (1000baseSX)

Alteon AceNIC V Gigabit Ethernet adapter (1000baseT)

Digital EtherWORKS 1000SX PCI Gigabit adapter

Netgear GA620 Gigabit Ethernet adapter (1000baseSX)

Netgear GA620T Gigabit Ethernet adapter (1000baseT)

The following adapters should also be supported but have not yet been tested:

Asante GigaNIX1000T Gigabit Ethernet adapter

Asante PCI 1000BASE-SX Gigabit Ethernet adapter

Farallon PN9000SX Gigabit Ethernet adapter

NEC Gigabit Ethernet

Silicon Graphics PCI Gigabit Ethernet adapter

The pcn driver supports adapters and embedded controllers based on the AMD PCnet/FAST, PCnet/FAST+, PCnet/FAST III, PCnet/PRO and PCnet/Home Fast Ethernet chips:

AMD Am53C974/Am79C970/Am79C974 PCnet-PCI *

AMD Am79C970A PCnet-PCI II *

AMD Am79C971 PCnet-FAST *

AMD Am79C972 PCnet-FAST+ *

AMD Am79C973/Am79C975 PCnet-FAST III *

AMD Am79C976 PCnet-PRO *

AMD PCnet/Home HomePNA

Allied-Telesis LA-PCI

Contec C-NET(98)S (PC-98)

NEC SV-98/2-B05, B06

The lnc driver supports the following adapters:

Novell NE2100 *

Novell NE32-VL *

Isolan AT 4141-0 (16 bit)

Isolan BICC

Isolink 4110 (8 bit)

Diamond HomeFree

Digital DEPCA

Hewlett Packard Vectra 486/66XM

Hewlett Packard Vectra XU

Also supported are adapters working with the pcn driver. The lnc driver runs these in compatibility mode, thus the pcn driver should be preferred.

SMC 83c17x (EPIC)-based Ethernet NICs (tx driver)

The ed driver supports the following Ethernet NICs:

3Com 3c503 Etherlink II

AR-P500 Ethernet

Accton EN1644 (old model), EN1646 (old model), EN2203 (old model) (110pin) (flags 0xd00000)

Accton EN2212/EN2216/UE2216

Allied Telesis CentreCOM LA100-PCM_V2

Allied Telesis LA-98 (flags 0x000000) (PC-98)

Allied Telesis SIC-98, SIC-98NOTE (110pin), SIU-98 (flags 0x600000) (PC-98)

Allied Telesis SIU-98-D (flags 0x610000) (PC-98)

AmbiCom 10BaseT card

Bay Networks NETGEAR FA410TXC Fast Ethernet

CNet BC40 adapter

Compex Net-A adapter

Contec C-NET(98), RT-1007(98), C-NET(9N) (110pin) (flags 0xa00000) (PC-98)

Contec C-NET(98)E-A, C-NET(98)L-A, C-NET(98)P (flags 0x300000) (PC-98)

Corega Ether98-T (flags 0x000000) (PC-98)

Corega Ether PCC-T/EtherII PCC-T/FEther PCC-TXF/PCC-TXD

CyQ've ELA-010

DEC EtherWorks DE305

Danpex EN-6200P2

D-Link DE-298, DE-298P (flags 0x500000) (PC-98)

D-Link DE-650/660

D-Link IC-CARD/IC-CARD+ Ethernet

ELECOM LD-98P (flags 0x500000) (PC-98)

ELECOM LD-BDN, LD-NW801G (flags 0x200000) (PC-98)

ELECOM Laneed LD-CDL/TX, LD-CDF, LD-CDS, LD-10/100CD, LD-CDWA (DP83902A)

HP PC Lan+ 27247B and 27252A

IBM Creditcard Ethernet I/II

ICM AD-ET2-T, DT-ET-25, DT-ET-T5, IF-2766ET, IF-2771ET, NB-ET-T (110pin) (flags 0x500000) (PC-98)

I-O DATA LA/T-98, LA/T-98SB, LA2/T-98, ET/T-98 (flags 0x900000) (PC-98)

I-O DATA ET2/T-PCI

I-O DATA PCLATE

Kansai KLA-98C/T (flags 0x900000) (PC-98)

Kingston KNE-PC2, KNE-PCM/x Ethernet

Linksys EC2T/PCMPC100/PCM100, PCMLM56

Linksys EtherFast 10/100 PC Card, Combo PCMCIA Ethernet Card (PCMPC100 V2)

Logitec LAN-98T (flags 0xb00000) (PC-98)

MACNICA Ethernet ME1 for JEIDA

MACNICA ME98 (flags 0x900000) (PC-98)

MACNICA NE2098 (flags 0x400000) (PC-98)

MELCO EGY-98 (flags 0x300000) (PC-98)

MELCO LGH-98, LGY-98, LGY-98-N (110pin), IND-SP, IND-SS (flags 0x400000) (PC-98)

MELCO LGY-PCI-TR

MELCO LPC-T/LPC2-T/LPC2-CLT/LPC2-TX/LPC3-TX/LPC3-CLX

NDC Ethernet Instant-Link

NEC PC-9801-77, PC-9801-78 (flags 0x910000) (PC-98)

NEC PC-9801-107, PC-9801-108 (flags 0x800000) (PC-98)

National Semiconductor InfoMover NE4100

NetGear FA-410TX

NetVin 5000

Network Everywhere Ethernet 10BaseT PC Card

Networld 98X3 (flags 0xd00000) (PC-98)

Networld EC-98X, EP-98X (flags 0xd10000) (PC-98)

Novell NE1000/NE2000/NE2100

PLANEX ENW-8300-T

PLANEX EN-2298-C (flags 0x200000) (PC-98)

PLANEX EN-2298P-T, EN-2298-T (flags 0x500000) (PC-98)

PLANEX FNW-3600-T

RealTek 8029

SMC Elite 16 WD8013

SMC Elite Ultra

SMC EtherEZ98 (flags 0x000000) (PC-98)

SMC WD8003E/WD8003EBT/WD8003S/WD8003SBT/WD8003W/WD8013EBT/WD8013W and clones

Socket LP-E

Surecom EtherPerfect EP-427

Surecom NE-34

TDK LAK-CD031, Grey Cell GCS2000 Ethernet Card

Telecom Device SuperSocket RE450T

VIA VT86C926

Winbond W89C940

C-Bus, ISA, PCI and PC Card devices are supported.

Adapters supported by the rl driver include:

Accton ``Cheetah'' EN1207D (MPX 5030/5038; RealTek 8139 clone)

Allied Telesyn AT2550

Allied Telesyn AT2500TX

Belkin F5D5000

BUFFALO(Melco INC.) LPC-CB-CLX(CardBus)

Compaq HNE-300

CompUSA no-name 10/100 PCI Ethernet NIC

Corega FEther CB-TXD

Corega FEtherII CB-TXD

D-Link DFE-530TX+

D-Link DFE-538TX (same as 530+?)

D-Link DFE-690TXD

Edimax EP-4103DL CardBus

Encore ENL832-TX 10/100 M PCI

Farallon NetLINE 10/100 PCI

Genius GF100TXR,

GigaFast Ethernet EE100-AXP

KTX-9130TX 10/100 Fast Ethernet

LevelOne FPC-0106TX

Longshine LCS-8038TX-R

NDC Communications NE100TX-E

Netronix Inc. EA-1210 NetEther 10/100

Nortel Networks 10/100BaseTX

OvisLink LEF-8129TX

OvisLink LEF-8139TX

Peppercon AG ROL-F

Planex FNW-3800-TX

SMC EZ Card 10/100 PCI 1211-TX

SOHO(PRAGMATIC) UE-1211C

The wb driver supports Winbond W89C840F based Fast Ethernet adapters and embedded controllers including:

Trendware TE100-PCIE *

The vr driver supports VIA Technologies Rhine I, Rhine II, and Rhine III based Fast Ethernet adapters including:

D-Link DFE530-TX

Hawking Technologies PN102TX

AOpen/Acer ALN-320

The sis driver supports Silicon Integrated Systems SiS 900 * and SiS 7016 * based Fast Ethernet adapters and embedded controllers, as well as Fast Ethernet adapters based on the National Semiconductor DP83815 (MacPhyter) chip. Supported adapters include:

@Nifty FNECHARD IFC USUP-TX

MELCO LGY-PCI-TXC

Netgear FA311-TX (DP83815)

Netgear FA312-TX (DP83815)

SiS 630, 635, and 735 motherboard chipsets

The nge driver supports National Semiconductor DP83820 * and DP83821 based Gigabit Ethernet adapters including:

SMC EZ Card 1000 (SMC9462TX)

D-Link DGE-500T

Asante FriendlyNet GigaNIX 1000TA and 1000TPC

Addtron AEG320T

LinkSys EG1032 (32-bit PCI) and EG1064 (64-bit PCI)

Surecom Technology EP-320G-TX

Netgear GA622T

Netgear GA621

Ark PC SOHO-GA2500T (32-bit PCI) and SOHO-GA2000T (64-bit PCI)

Trendware TEG-PCITX (32-bit PCI) and TEG-PCITX2 (64-bit PCI)

The ste driver supports Sundance Technologies ST201 based Fast Ethernet adapters and embedded controllers including:

D-Link DFE-530TXS

D-Link DFE-550TX

Adapters supported by the sk driver include:

3COM 3C940 single port, 1000baseT adapter

Belkin F5D5005 single port, 1000baseT adapter

Linksys EG1032 single port, 1000baseT adapter

SK-9521 SK-NET GE-T single port, 1000baseT adapter

SK-9821 SK-NET GE-T single port, 1000baseT adapter *

SK-9822 SK-NET GE-T dual port, 1000baseT adapter *

SK-9841 SK-NET GE-LX single port, single mode fiber adapter *

SK-9842 SK-NET GE-LX dual port, single mode fiber adapter *

SK-9843 SK-NET GE-SX single port, multimode fiber adapter *

SK-9844 SK-NET GE-SX dual port, multimode fiber adapter *

SMC 9452TX single port, 1000baseT adapter

The tl driver supports Texas Instruments ThunderLAN based Ethernet and Fast Ethernet adapters including a large number of Compaq PCI Ethernet adapters. Also supported are:

Olicom OC-2135/2138 10/100 TX UTP adapter

Olicom OC-2325/OC-2326 10/100 TX UTP adapter

Racore 8148 10baseT/100baseTX/100baseFX adapter

Racore 8165 10/100baseTX adapter

The tl driver also supports the built-in Ethernet adapters of various Compaq Prosignia servers and Compaq Deskpro desktop machines including:

Compaq Netelligent 10

Compaq Netelligent 10 T PCI UTP/Coax

Compaq Netelligent 10/100

Compaq Netelligent 10/100 Dual-Port

Compaq Netelligent 10/100 Proliant

Compaq Netelligent 10/100 TX Embedded UTP

Compaq Netelligent 10/100 TX UTP

Compaq NetFlex 3P

Compaq NetFlex 3P Integrated

Compaq NetFlex 3P w/BNC

The dc driver provides support for the following chipsets: *

DEC/Intel 21143

ADMtek AL981 Comet, AN985 Centaur, ADM9511 Centaur II and ADM9513 Centaur II

ASIX Electronics AX88140A and AX88141

Conexant LANfinity RS7112 (miniPCI)

Davicom DM9009, DM9100, DM9102 and DM9102A

Lite-On 82c168 and 82c169 PNIC

Lite-On/Macronix 82c115 PNIC II

Macronix 98713, 98713A, 98715, 98715A, 98715AEC-C, 98725, 98727 and 98732

Xircom X3201 (cardbus only)

The following NICs are known to work with the dc driver at this time:

3Com OfficeConnect 10/100B (ADMtek AN985 Centaur-P)

Abocom FE2500

Accton EN1217 (98715A)

Accton EN2242 MiniPCI

Adico AE310TX (98715A)

Alfa Inc GFC2204 (ASIX AX88140A)

Built in 10Mbps only Ethernet on Compaq Presario 7900 series desktops (21143, non-MII)

Built in DE500-BA on DEC Alpha workstations (21143, non-MII)

Built in Sun DMFE 10/100 Mbps Ethernet on Sun Netra X1 and Sun Fire V100 (DM9102A, MII)

Built in Ethernet on LinkSys EtherFast 10/100 Instant GigaDrive (DM9102, MII)

CNet Pro110B (ASIX AX88140A)

CNet Pro120A (98715A or 98713A) and CNet Pro120B (98715)

Compex RL100-TX (98713 or 98713A)

D-Link DFE-570TX (21143, MII, quad port)

Digital DE500-BA 10/100 (21143, non-MII)

ELECOM Laneed LD-CBL/TXA (ADMtek AN985)

Hawking CB102 CardBus

IBM EtherJet Cardbus Adapter

Intel PRO/100 Mobile Cardbus (versions that use the X3201 chipset)

Jaton XpressNet (Davicom DM9102)

Kingston KNE100TX (21143, MII)

Kingston KNE110TX (PNIC 82c169)

LinkSys LNE100TX (PNIC 82c168, 82c169)

LinkSys LNE100TX v2.0 (PNIC II 82c115)

LinkSys LNE100TX v4.0/4.1 (ADMtek AN985 Centaur-P)

Matrox FastNIC 10/100 (PNIC 82c168, 82c169)

Melco LGY-PCI-TXL

Microsoft MN-120 10/100 CardBus (ADMTek Centaur-C)

Microsoft MN-130 10/100 PCI (ADMTek Centaur-P)

NDC SOHOware SFA110A (98713A)

NDC SOHOware SFA110A Rev B4 (98715AEC-C)

NetGear FA310-TX Rev. D1, D2 or D3 (PNIC 82c169)

Netgear FA511

PlaneX FNW-3602-T (ADMtek AN985)

SMC EZ Card 10/100 1233A-TX (ADMtek AN985)

SVEC PN102-TX (98713)

Xircom Cardbus Realport

Xircom Cardbus Ethernet 10/100

Xircom Cardbus Ethernet II 10/100

Adapters supported by the aue driver include:

Abocom UFE1000, DSB650TX_NA

Accton USB320-EC, SpeedStream

ADMtek AN986, AN8511

Billionton USB100, USB100LP, USB100EL, USBE100

Corega Ether FEther USB-T, FEther USB-TX, FEther USB-TXS

D-Link DSB-650, DSB-650TX, DSB-650TX-PNA

Elecom LD-USBL/TX

Elsa Microlink USB2Ethernet

HP hn210e

I-O Data USB ETTX

Kingston KNU101TX

LinkSys USB10T adapters that contain the AN986 Pegasus chipset, USB10TA, USB10TX, USB100TX, USB100H1

MELCO LUA-TX, LUA2-TX

Planex UE-200TX

Sandberg USB to Network Link (model number 133-06)

Siemens Speedstream

SmartBridges smartNIC

SMC 2202USB

SOHOware NUB100

The cue driver supports CATC USB-EL1210A based USB Ethernet adapters including:

Belkin F5U011/F5U111

CATC Netmate

CATC Netmate II

SmartBridges SmartLink

The kue driver supports Kawasaki LSI KL5KLUSB101B based USB Ethernet adapters including:

3Com 3c19250

3Com 3c460 HomeConnect Ethernet USB Adapter

ADS Technologies USB-10BT

AOX USB101

ATen UC10T

Abocom URE 450

Corega USB-T

D-Link DSB-650C

Entrega NET-USB-E45, NET-HUB-3U1E

I/O Data USB ETT

Kawasaki DU-H3E

LinkSys USB10T

Netgear EA101

Peracom USB Ethernet Adapter

SMC 2102USB, 2104USB

The axe driver supports ASIX Electronics AX88172 based USB Ethernet adapters including:

Buffalo (Melco Inc.) LUA-U2-KTX

D-Link DUBE100

LinkSys USB200M

Netgear FA120

System TALKS Inc. SGC-X2UL

The rue driver supports RealTek RTL8150 based USB Ethernet adapters including:

Buffalo (Melco Inc.) LUA-KTX

Green House GH-USB100B

LinkSys USB100M

Billionton 10/100 FastEthernet USBKR2

The udav driver supports the following adapters:

Corega FEther USB-TXC

Adapters supported by the de driver include:

Adaptec ANA-6944/TX

Cogent EM100FX and EM440TX

Corega FastEther PCI-TX

D-Link DFE-500TX

DEC DE435, DE425, DEC DE450, and DEC DE500

ELECOM LD-PCI2T, LD-PCITS

I-O DATA LA2/T-PCI

SMC Etherpower 8432, 9332 and 9334

ZNYX ZX3xx

Controllers and cards supported by the fe driver include:

Allied Telesis RE1000, RE1000Plus, ME1500 (110-pin)

CONTEC C-NET(98)P2, C-NET (9N)E (110-pin), C-NET(9N)C (ExtCard)

CONTEC C-NET(PC)C PCMCIA Ethernet

Eiger Labs EPX-10BT

Fujitsu FMV-J182, FMV-J182A

Fujitsu MB86960A, MB86965A

Fujitsu MBH10303, MBH10302 Ethernet PCMCIA

Fujitsu Towa LA501 Ethernet

HITACHI HT-4840-11

NextCom J Link NC5310

RATOC REX-5588, REX-9822, REX-4886, and REX-R280

RATOC REX-9880/9881/9882/9883

TDK LAC-98012, LAC-98013, LAC-98025, LAC-9N011 (110-pin)

TDK LAK-CD021, LAK-CD021A, LAK-CD021BX

Ungermann-Bass Access/PC N98C+(PC85152, PC85142), Access/NOTE N98(PC86132) (110-pin)

Adapters supported by the fxp driver include:

Intel EtherExpress PRO/10

Intel InBusiness 10/100

Intel PRO/100B / EtherExpressPRO/100 B PCI Adapter *

Intel PRO/100+ Management Adapter

Intel PRO/100 VE Desktop Adapter

Intel PRO/100 M Desktop Adapter

Intel PRO/100 S Desktop, Server and Dual-Port Server Adapters

Contec C-NET(PI)-100TX (PC-98)

NEC PC-9821Ra20, Rv20, Xv13, Xv20 internal 100Base-TX (PC-98)

NEC PC-9821X-B06 (PC-98)

Many on-board network interfaces on Intel motherboards

The ex driver supports the following Ethernet adapters:

Intel EtherExpress Pro/10

Intel EtherExpress Pro/10+

The Olicom OC2220

The ie driver provides supports the following 8 and 16bit ISA Ethernet cards that are based on the Intel i82586 chip:

3COM 3C507

AT&T EN100

AT&T Starlan 10

AT&T Starlan Fiber

Intel EtherExpress 16

RACAL Interlan NI5210

The ep driver supports Ethernet adapters based on the 3Com 3C5x9 Etherlink III Parallel Tasking chipset, including:

3Com 3C1 CF

3Com 3C509-TP, 3C509-BNC, 3C509-Combo, 3C509-TPO, 3C509-TPC ISA

3Com 3C509B-TP, 3C509B-BNC, 3C509B-Combo, 3C509B-TPO, 3C509B-TPC ISA

3Com 3C529, 3C529-TP MCA

3Com 3C562/3C563 PCMCIA

3Com 3C569B-J-TPO, 3C569B-J-COMBO CBUS

3Com 3C574-TX, 3CCFE574BT, 3CXFE574BT, 3C3FE574BT PCMCIA

3Com 3C579-TP, 3C579-BNC EISA

3Com 3C589, 3C589B, 3C589C, 3C589D, 3CXE589DT PCMCIA

3Com 3CCFEM556B, 3CCFEM556BI PCMCIA

3Com 3CXE589EC, 3CCE589EC, 3CXE589ET, 3CCE589ET PCMCIA

3Com Megahertz 3CCEM556, 3CXEM556, 3CCEM556B, 3CXEM556B PCMCIA

3Com OfficeConnect 3CXSH572BT, 3CCSH572BT PCMCIA

Farallon EtherMac PCMCIA

The el driver supports the 3Com 3c501 8bit ISA Ethernet card.

The xl driver supports the following hardware:

3Com 3c900-TPO *

3Com 3c900-COMBO *

3Com 3c905-TX *

3Com 3c905-T4 *

3Com 3c900B-TPO *

3Com 3c900B-TPC *

3Com 3c900B-FL *

3Com 3c900B-COMBO *

3Com 3c905B-T4 *

3Com 3c905B-TX *

3Com 3c905B-FX *

3Com 3c905B-COMBO *

3Com 3c905C-TX *

3Com 3c980, 3c980B, and 3c980C server adapters

3Com 3cSOHO100-TX OfficeConnect adapters

3Com 3c450 HomeConnect adapters

3Com 3c555, 3c556 and 3c556B mini-PCI adapters

3Com 3C3SH573BT, 3C575TX, 3CCFE575BT, 3CXFE575BT, 3CCFE575CT, 3CXFE575CT, 3CCFEM656, 3CCFEM656B, and 3CCFEM656C, 3CXFEM656, 3CXFEM656B, and 3CXFEM656C CardBus adapters

3Com 3c905-TX, 3c905B-TX 3c905C-TX, and 3c920B-EMB embedded adapters

Both the 3C656 family of CardBus cards and the 3C556 family of MiniPCI cards have a built-in proprietary modem. Neither the xl driver nor any other driver supports this modem.

The vx driver supports the following cards:

3Com 3c590 EtherLink III PCI *

3Com 3c592 EtherLink III EISA

3Com 3c595 Fast EtherLink III PCI in 10 Mbps mode *

3Com 3c597 Fast EtherLink III EISA in 10 Mbps mode

Crystal Semiconductor CS89x0-based NICs (cs driver)

The sn driver supports SMC9xxx based ISA and PCMCIA cards including:

3Com Megahertz X-Jack Ethernet PC-Card CC-10BT

The xe driver supports the following cards:

Xircom CreditCard Ethernet (PS-CE2-10)

Xircom CreditCard Ethernet + Modem 28 (PS-CEM-28)

Xircom CreditCard Ethernet + Modem 33 (CEM33)

Xircom CreditCard 10/100 (CE3, CE3B)

Xircom CreditCard Ethernet 10/100 + Modem 56 (CEM56)

Xircom RealPort Ethernet 10 (RE10)

Xircom RealPort Ethernet 10/100 (RE100)

Xircom RealPort Ethernet 10/100 + Modem 56 (REM56, REM56G)

Accton Fast EtherCard-16 (EN2226)

Compaq Netelligent 10/100 PC Card (CPQ-10/100)

Intel EtherExpress Pro/100 PC Card Mobile Adapter 16 (Pro/100 M16A)

Other similar devices using the same hardware may also be supported.

Adapters supported by the lge driver include:

SMC TigerCard 1000 (SMC9462SX) *

D-Link DGE-500SX *

The txp driver supports the following cards:

3Com 3CR990-TX-95 *

3Com 3CR990-TX-97 *

3Com 3cR990B-TXM *

3Com 3CR990SVR95 *

3Com 3CR990SVR97 *

3Com 3cR990B-SRV *

The bge driver provides support for various NICs based on the Broadcom BCM570x family of Gigabit Ethernet controller chips, including the following:

3Com 3c996-T (10/100/1000baseTX) *

Dell PowerEdge 1750 integrated BCM5704C NIC (10/100/1000baseTX) *

Dell PowerEdge 2550 integrated BCM5700 NIC (10/100/1000baseTX) *

Dell PowerEdge 2650 integrated BCM5703 NIC (10/100/1000baseTX) *

IBM x235 server integrated BCM5703x NIC (10/100/1000baseTX) *

HP ProLiant NC7760 embedded Gigabit NIC (10/100/1000baseTX) *

HP ProLiant NC7770 PCI-X Gigabit NIC (10/100/1000baseTX) *

HP ProLiant NC7781 embedded PCI-X Gigabit NIC (10/100/1000baseTX) *

Netgear GA302T (10/100/1000baseTX) *

SysKonnect SK-9D21 (10/100/1000baseTX) *

SysKonnect SK-9D41 (1000baseSX) *

The em driver supports Gigabit Ethernet adapters based on the Intel 82540, 82541PI, 82542, 82543, 82544, 82546, 82546EB and 82547 controller chips:

Intel PRO/1000 CT Network Connection (82547)

Intel PRO/1000 F Server Adapter (82543)

Intel PRO/1000 Gigabit Server Adapter (82542)*

Intel PRO/1000 GT Desktop Adapter (82541PI)

Intel PRO/1000 MF Dual Port Server Adapter (82546)

Intel PRO/1000 MF Server Adapter (82545)

Intel PRO/1000 MF Server Adapter (LX) (82545)

Intel PRO/1000 MT Desktop Adapter (82540)

Intel PRO/1000 MT Desktop Adapter (82541)

Intel PRO/1000 MT Dual Port Server Adapter (82546)

Intel PRO/1000 MT Quad Port Server Adapter (82546EB)

Intel PRO/1000 MT Server Adapter (82545)

Intel PRO/1000 T Desktop Adapter (82544)

Intel PRO/1000 T Server Adapter (82543)

Intel PRO/1000 XF Server Adapter (82544)

Intel PRO/1000 XT Server Adapter (82544)

The gx driver supports Gigabit Ethernet adapters based on the Intel 82542 and 82543 controller chips:

Intel PRO/1000 Gigabit Server Adapter (82542)

Intel PRO/1000 F Server Adapter (82543)

Intel PRO/1000 T Server Adapter (82543)

The hme driver supports the on-board Ethernet interfaces of many Sun UltraSPARC workstation and server models. Cards supported by the hme driver include:

Sun PCI SunSwift Adapter

Sun SBus SunSwift Adapter ``( hme'' and ``SUNW,hme'')

Sun PCI Sun100BaseT Adapter 2.0

Sun SBus Sun100BaseT 2.0

Sun PCI Quad FastEthernet Controller

Sun SBus Quad FastEthernet Controller

The my driver provides support for various NICs based on the Myson chipset. Supported models include:

Myson MTD800 PCI Fast Ethernet chip

Myson MTD803 PCI Fast Ethernet chip

Myson MTD89X PCI Gigabit Ethernet chip

Broadcom BCM4401 based Fast Ethernet adapters (bfe driver) *

The re driver supports RealTek RTL8139C+, RTL8169, RTL8169S and RTL8110S based Fast Ethernet and Gigabit Ethernet adapters including:

Alloy Computer Products EtherGOLD 1439E 10/100 (8139C+) *

Compaq Evo N1015v Integrated Ethernet (8139C+) *

Corega CG-LAPCIGT Gigabit Ethernet (8169S) *

Gigabyte 7N400 Pro2 Integrated Gigabit Ethernet (8110S) *

PLANEX COMMUNICATIONS Inc. GN-1200TC (8169S) *

Xterasys XN-152 10/100/1000 NIC (8169) *

The ixgb driver supports the following cards:

Intel PRO/10GbE LR Server Adapter *

Intel PRO/10GbE SR Server Adapter *